<?

##################################################

# Call common libraries
require_once('../lib/inc-admin.php');
require_once(FS_PATH."/etc/locale/".LANG_PACK."/inc-admin_tabfile-backup.php");

##################################################

$section = "sysadmin";
include (INTERFACE_HEADER);

?>

<div align=center>
<table width='400' border=0 cellspacing=1 cellpadding=3 class='border'>
<tr>
  <td class='header' nowrap><B><?= TFBCKP_HEADER ?></B></td>
</tr>
<tr>
  <td class='content' align=center>

<?

if ($do == 'backup') {

  $rows = GetBackupData();
  
  $new_file = SaveNewImportFile(FS_PATH."/".PLAYLIST_BCKP_DIR,$rows);
  
  $new_file = str_replace(FS_PATH, WEB_PATH, $new_file);

  echo "<b>&raquo;</b> <a href='$new_file' target='_blank'>".TFBCKP_VIEW."</a><br>";

} else {

  echo "<b>&raquo;</b> <a href='$PHP_SELF?do=backup'>".TFBCKP_START."<br>";

}

?>

  </td>
</tr>
</form>
</table>
</div>

<?

include (INTERFACE_FOOTER);

##################################################

function GetBackupData() {

  GLOBAL $dbconn;

  $col_names = array("Name", "Artist", "Album", "Genre", "Size", "Time", "Track Number",
   "Track Count", "Year", "Date", "Date Added", "Bit Rate", "Sample Rate", "Volume Adjustment",
    "Kind", "Comments", "Location");
  
  $rows = join("\t",$col_names)."\n";
  
  $sql = <<<__EOS
    SELECT tr.name, ar.name, al.name, ge.name,
           tr.size, tr.time, tr.track_number, tr.date,
           tr.bit_rate, tr.sample_rate, tr.kind,
           tr.location
    FROM netjuke_tracks tr, netjuke_artists ar,
         netjuke_albums al, netjuke_genres ge
    WHERE tr.ar_id = ar.id
      and tr.al_id = al.id
      and tr.ge_id = ge.id
    ORDER BY tr.id asc 
__EOS;

  $dbrs = $dbconn->Execute($sql);

  while (!$dbrs->EOF) {

    set_time_limit(300);
    
    $fields = array( $dbrs->fields[0]
                    ,$dbrs->fields[1]
                    ,$dbrs->fields[2]
                    ,$dbrs->fields[3]
                    ,$dbrs->fields[4]
                    ,$dbrs->fields[5]
                    ,$dbrs->fields[6]
                    ,''
                    ,''
                    ,$dbrs->fields[7]
                    ,$dbrs->fields[7]
                    ,$dbrs->fields[8]
                    ,$dbrs->fields[9]
                    ,''
                    ,$dbrs->fields[10]
                    ,''
                    ,rawurldecode($dbrs->fields[11]) );

    $rows .= join("\t",$fields)."\n";
    
    $dbrs->MoveNext();
  
  }
  
  $dbrs->Close();
  
  return $rows;

}

##################################################

?>
