<?

##################################################

# Call common libraries
require_once('../lib/inc-admin.php');
require_once(FS_PATH."/etc/locale/".LANG_PACK."/inc-admin_tabfile-import.php");

##################################################

$section = "sysadmin";
include (INTERFACE_HEADER);

?>

<div align=center>
<table width='500' border=0 cellspacing=1 cellpadding=3 class='border'>
<tr>
  <td class='header' nowrap><B><?= TFIMPT_HEADER ?></B></td>
</tr>
<tr>
  <td class='content'>

<?

if ($do == 'delete') {

  foreach ($delfile as $val) {
  
    $val = str_replace("//","/",FS_PATH."/".PLAYLIST_DIR."/".rawurldecode($val));
    
    if (is_writable($val)) {
    
      unlink($val);
      
      echo "<b>&raquo;</b> ".TFIMPT_DELETE_SUCCESS.": ".$val."<br>";
    
    } else {
      
      echo "<b>&raquo;</b> ".TFIMPT_DELETE_ERROR.": ".$val."<br>";
    
    }
  
  }
  
  echo "<br>";

}

# Now that we have deleted the requested files, if any,
# let's get the remaining list of playlists to be processed

if ($dir = opendir(FS_PATH."/".PLAYLIST_DIR)) {

  $playlists = array();
  
  while($file = readdir($dir)) {

    if ((substr($file,0,1) != '.') && (strtolower(substr($file,-4)) == '.txt')) {

      array_push($playlists,$file);

    }

  }  

  closedir($dir);

  echo TFIMPT_FOUND_1.' '.count($playlists).' '.TFIMPT_FOUND_2.'<br>'.str_replace("//","/",FS_PATH."/".PLAYLIST_DIR).'<br>';
  
  if ($do == 'import') {
  
    # process the named playlists in import directory
    
    ProcessPlaylists($playlists);
  
  } else {
  
    # just list the files available for import
  
    if (count($playlists) > 0) ListFiles($playlists);
  
  }

}

?>

  </td>
</tr>
</form>
</table>
</div>

<?

include (INTERFACE_FOOTER);

##################################################

function ListFiles($playlists) {

  echo "<form action='$PHP_SELF' method='post' name='ImportForm'>";
  echo "<input type=hidden name='do' value='delete'>";
  
  foreach ($playlists as $playlist) {
  
    echo "<input type=checkbox name='delfile[]' value='".rawurlencode($playlist)."'> ".str_replace("//","/",FS_PATH."/".PLAYLIST_DIR."/".$playlist)." [<a href='".WEB_PATH.str_replace("//","/","/".PLAYLIST_DIR."/".$playlist)."' target='_blank'>".TFIMPT_VIEW."</a>]<br>\n";
  
  }

  echo '<br><b>&raquo;</b> <a href="tabfile-import.php?do=import">'.TFIMPT_PROCEED.'</a>.';
  echo '<br><b>&raquo;</b> <a href="javascript:void(0);" onclick="document.ImportForm.submit();">'.TFIMPT_DELETE.'</a>.';
  echo "</form>";

}

##################################################

function Find_Id($table,$value,$cnt,$errors) {

   GLOBAL $dbconn;
   
   $value = raw_to_db(strtoupper($value));

   if (strlen($value) > 0) {

     $select_sql = "SELECT id FROM $table WHERE name = '$value'";
     $insert_sql = "INSERT INTO $table (name) VALUES ('$value')";

     $dbrs = $dbconn->Execute($select_sql);

     if ($dbrs->RecordCount() < 1) {
       if ($dbconn->Execute($insert_sql) === false) {
	     array_push($errors,"- ".TFIMPT_ERROR_1." $table ($value): ".$dbconn->ErrorMsg());
       } else {
         $dbrs = $dbconn->Execute($select_sql);
         $cnt++;
       }
     }

     return array($dbrs->fields[0],$cnt);

   } else {

     return array(1,$cnt,$errors);

   }

}

##################################################

function ProcessPlaylists($playlists) {

  GLOBAL $dbconn;

  $errors = array();

  # Process each playlist
  
  foreach ($playlists as $playlist) {
  
   if ((substr($playlist,0,1) != '.') && (strtolower(substr($playlist,-4)) == '.txt')) {
   
     echo TFIMPT_PROCESS.' '.$playlist.'.<br>';
     
     $fp = fopen (FS_PATH."/".PLAYLIST_DIR."/".$playlist,"r");
     
     $row = 0;
     $ar_cnt = 0;
     $al_cnt = 0;
     $ge_cnt = 0;
     
     # Process each row
     
     while ($raw_values = fgetcsv ($fp, 5000, "\t")) {
  
       set_time_limit(300);
       
       if ($row != 0) {
        
         # The following fields can already be initialize
         # as they will ve inserted 'raw' in netjuke_tracks
         $data['Name']           = raw_to_db(strtoupper($raw_values[0]));
         $data['Size']           = $raw_values[4];
         $data['Time']           = $raw_values[5];
         $data['Track_Number']   = $raw_values[6];
         $data['Date']           = $raw_values[10];
         $data['Bit_Rate']       = $raw_values[11];
         $data['Sample_Rate']    = $raw_values[12];
         $data['Kind']           = $raw_values[14];
         
         $temp_loc = $raw_values[16];
         
         if (substr_count($temp_loc,"://") < 1) {
           $temp_loc = str_replace(':','/', $temp_loc);
         }
         
         $data['Location']       = specialUrlEncode($temp_loc);
      
         # Get Artist, Album & Genre ID based on their respective names.
         list($data['Ar_ID'],$ar_cnt,$errors) = Find_Id('netjuke_artists',$raw_values[1],$ar_cnt,$errors);
         list($data['Al_ID'],$al_cnt,$errors) = Find_Id('netjuke_albums',$raw_values[2],$al_cnt,$errors);
         list($data['Ge_ID'],$ge_cnt,$errors) = Find_Id('netjuke_genres',$raw_values[3],$ge_cnt,$errors);
      
         $columns = array();
         $values = array();
         
         foreach ($data as $key => $value) {
           if (strlen($value) > 0) {
             array_push($columns, $key);
             array_push($values, "'$value'");
           }
         }
         
         $sql = "INSERT INTO netjuke_tracks (".join(', ',$columns).") VALUES (".join(', ',$values).")";
  
         if ($dbconn->Execute($sql) === false) {
  	     array_push($errors,'- '.TFIMPT_ERROR_1.' netjuke_tracks table ('.$data['Name'].'): '.$dbconn->ErrorMsg());
         } else {
           echo '|';
           if ($row % 50 == 0) echo " &nbsp; &raquo; &nbsp; $row<br>";
           $row++;
         }
        
       } else {
       
         echo TFIMPT_IGNORE.'<br>';
         $row++;
       
       }
        
     }
  
     fclose($fp);
     
     echo '<br>';
     echo TFIMPT_INSERT_1." ".($row - 1)." ".TFIMPT_INSERT_2.", $ar_cnt ".TFIMPT_INSERT_3.", $al_cnt ".TFIMPT_INSERT_4.", $ge_cnt ".TFIMPT_INSERT_5.".<br>";
  
     $err_cnt = count($errors);
     if ($err_cnt > 0) {
        echo TFIMPT_ERROR_2.":<br>";
        foreach ($errors as $error) {
          echo $error.'<br>';
        }
     }   
  
     echo TFIMPT_ARCHIVE_1.' '.$playlist.' '.TFIMPT_ARCHIVE_2.' '.FS_PATH."/".PLAYLIST_BCKP_DIR."/".$playlist.'<br>';
     rename(FS_PATH."/".PLAYLIST_DIR."/".$playlist, FS_PATH."/".PLAYLIST_BCKP_DIR."/".$playlist);
     
     echo TFIMPT_DONE.' '.FS_PATH."/".PLAYLIST_DIR."/".$playlist.'!<br><br>';
   
   }
  
  }
  
}

##################################################

?>
