<?

##################################################

# Call common libraries
require_once('../lib/inc-admin.php');
require_once(FS_PATH."/etc/locale/".LANG_PACK."/inc-admin_tabfile-recursive.php");

require_once(FS_PATH."/lib/class.id3.php");

##################################################

$section = "sysadmin";
include (INTERFACE_HEADER);

?>

<div align=center>
<table width='530' border=0 cellspacing=1 cellpadding=3 class='border'>
<tr>
  <td class='header' nowrap><B><?= TFREC_HEADER ?></B></td>
</tr>
<tr>
  <td class='content'>

<?

if ($do == '') {

?>

  <form action="<?=$PHP_SELF?>" method="post">
  <input type="hidden" name="do" value="process">
  <b>&raquo;</b> <?= TFREC_CAPTION_2 ?>:<br>
  <input type="text" name="scan_dir" size="30" maxlength="256" value="<?=MUSIC_DIR?>" class=input_content>
  <input type="submit" name="submit" value="<?= TFREC_BTN ?>" class='btn_content'>
  </form>

<?

} elseif ($do == 'process') {

  if ((strlen($scan_dir) > 0) && (is_dir($scan_dir))) {
  
    if (substr($scan_dir,-1) != '/') $scan_dir .= '/';
    
    if (substr($scan_dir,0,strlen(MUSIC_DIR)) == MUSIC_DIR) {
    
      $keepers = RecursiveMP3Finder($scan_dir,0);
    
      ProcessFoundMP3($keepers);
  
    } else {
  
      echo "<b>&raquo;</b> ".TFREC_ERROR_NOMUDIR_1."<br>";
    
    }
  
  } else {
  
    echo "<b>&raquo;</b> ".TFREC_ERROR_NODIR;
  
  }

} elseif ($do == 'edit') {

  $col_names = array( TFREC_COLS_TR
                    , TFREC_COLS_AR
                    , TFREC_COLS_AL
                    , TFREC_COLS_GE
                    , TFREC_COLS_FS
                    , TFREC_COLS_TI
                    , TFREC_COLS_TN
                    , TFREC_COLS_TC
                    , TFREC_COLS_YR
                    , TFREC_COLS_DT
                    , TFREC_COLS_DA
                    , TFREC_COLS_BR
                    , TFREC_COLS_SR
                    , TFREC_COLS_VA
                    , TFREC_COLS_FK
                    , TFREC_COLS_CT
                    , TFREC_COLS_LC );
  
  $rows = join("\t",$col_names)."\n";

  foreach ($Name as $key => $value) {
  
    $temp = array($Name_New[$key], $Artist_New[$key], $Album_New[$key], $Genre_New[$key], 
                  $Size[$key], $Time[$key], abs($Track_Number_New[$key]), "", 
                  "", date("D M j G:i:s Y T"), date("D M j G:i:s Y T"), 
                  $Bit_Rate[$key], $Sample_Rate[$key], "", $Kind[$key], 
                  "", $Location[$key]);
    
    $rows .= join("\t",$temp)."\n";
  
  
  }
  
  $new_file = SaveNewImportFile(FS_PATH."/".PLAYLIST_DIR,$rows);
    
  $new_file = str_replace(FS_PATH, WEB_PATH, $new_file);
  
  echo "<b>&raquo;</b> <a href='$new_file' target='_blank'>".TFREC_VIEW."</a><br>";
  echo '<b>&raquo;</b> <a href="tabfile-import.php">'.TFREC_PROCEED.'</a>.<br>';

}

?>

  </td>
</tr>
</form>
</table>
</div>

<?

include (INTERFACE_FOOTER);

##################################################

function RecursiveMP3Finder($sPath,$oPath) { 

  // Insired by http://www.php.net/manual/en/function.readdir.php
  // Modified by stephane @ daury.com

  $keepers = array();
  
  // Save the original path value to be stripped later
  if ($oPath === 0) $oPath = $sPath;
  
  // Load Directory Into Array 
  $handle=opendir($sPath); 
  while ($file = readdir($handle)) { 
    $retVal[count($retVal)] = $file; 
  } 

  //Clean up and sort 
  closedir($handle); 
  sort($retVal);

  // Process the directory and go to recursive mode
  // in the children directories
  while (list($key, $val) = each($retVal)) { 

    if ($val != "." && $val != "..") { 

      $path = str_replace("//","/",$sPath.$val); 

      if (is_dir($sPath.$val)) { 

        set_time_limit(300);
        
        $keepers = array_merge( $keepers, RecursiveMP3Finder($sPath.$val."/",$oPath) ); 

      } elseif (is_file($sPath.$val)) {
      
        if (strtoupper(substr($val,-4)) == '.MP3') {
        
          $location = '';
          $location = str_replace(MUSIC_DIR,'',$sPath.$val);
          
          if ($location != $sPath.$val) {
          
            $keepers[$location] = $sPath.$val;
          
          } else {
          
            echo "<b>&raquo;</b> $location ".TFREC_ERROR_NOMUDIR_2."<br>";
          
          }

        }
      
      }

    } 

  }
  
  return $keepers;

}

##################################################

function  ProcessFoundMP3($keepers) {

  GLOBAL $dbconn;
  GLOBAL $PHP_SELF;
  
  $queued_cnt = $errors_cnt = 0;
  
  $error_rows = array();
  
  $col_names = array( TFREC_COLS_TR
                    , TFREC_COLS_AR
                    , TFREC_COLS_AL
                    , TFREC_COLS_GE
                    , TFREC_COLS_FS
                    , TFREC_COLS_TI
                    , TFREC_COLS_TN
                    , TFREC_COLS_TC
                    , TFREC_COLS_YR
                    , TFREC_COLS_DT
                    , TFREC_COLS_DA
                    , TFREC_COLS_BR
                    , TFREC_COLS_SR
                    , TFREC_COLS_VA
                    , TFREC_COLS_FK
                    , TFREC_COLS_CT
                    , TFREC_COLS_LC );
  
  $rows = join("\t",$col_names)."\n";
  
  foreach ($keepers as $location => $path) {
    
    if (substr($location,0,1) == '/') $location = substr($location,1);
    
    $dbrs = $dbconn->Execute("select id from netjuke_tracks where location = '".specialUrlEncode($location)."'");
  
    if ($dbrs->RecordCount() < 1) {
  
      $id3 = new id3($path);
  
      $id3->study();
  
      if ($id3->studied == true) {
        
        $temp = array($id3->name, $id3->artists, $id3->album, $id3->genre, 
                      $id3->filesize, $id3->lengths, abs($id3->track), "", 
                      $id3->year, date("D M j G:i:s Y T"), date("D M j G:i:s Y T"), 
                      $id3->bitrate, $id3->frequency, "", "MPEG AUDIO FILE", 
                      "", $location);
    
        if ($id3->error == false) {
      
          $rows .= join("\t",$temp)."\n";
          
          $queued_cnt++;
    
        } else {
          
          $error_rows[$path] = $temp;
          
          $error_cnt++;
        
        }
      
      }
  
    }
  
  }
  
  if ($queued_cnt > 0) {
  
    echo "$queued_cnt ".TFREC_SUCCESS_1."<br>";
  
    $new_file = SaveNewImportFile(FS_PATH."/".PLAYLIST_DIR,$rows);
    
    $new_file = str_replace(FS_PATH, WEB_PATH, $new_file);
  
    echo "<b>&raquo;</b> <a href='$new_file' target='_blank'>".TFREC_VIEW."</a><br>";
    echo '<b>&raquo;</b> <a href="tabfile-import.php">'.TFREC_PROCEED.'</a>.<br>';
    
  } else {
  
    echo TFREC_ERROR_NOFILE."<br>";
  
  }
  
  echo '<br><br>';
  
  if ($error_cnt > 0) {
  

    echo TFREC_FORM_HELP_1." $error_cnt ".TFREC_FORM_HELP_2."<br>";
    echo TFREC_FORM_HELP_3."<br>";
    if ($error_cnt > RES_PER_PAGE) echo TFREC_FORM_HELP_4."<br>";
    echo "<br>";
    echo "  </td>";
    echo "</tr>";
    echo "</form>";
    echo "</table>";

    echo '<br>';
    echo "<table width='530' border='0' cellspacing='1' cellpadding='3' class='border'>";
    echo "<tr class='header'><td><b>".TFREC_COLS_TR."</b></td><td><b>".TFREC_COLS_AR."</b></td><td><b>".TFREC_COLS_AL."</b></td><td><b>".TFREC_COLS_GE."</b></td><td><b>#</b></td></tr>";
    echo "<form name='EditForm' action='$PHP_SELF' method='post'>\n";
    echo "<input type='hidden' name='do' value='edit'>\n";
    
    $cnt = 0;
    
    foreach ($error_rows as $path => $columns) {
      
      echo "<tr class='content'><td colspan='7'><b>&raquo;</b> ".TFREC_COLS_LC.": $path <input type='hidden' name='Location_New[]' value='$path'></td></tr>\n";
      echo "<tr class='content'><td><input type='text' name='Name_New[]' value='' size='15' maxlength='100' class=input_content></td>";
      echo "<td><input type='text' name='Artist_New[]' value='' size='15' maxlength='100' class=input_content></td>\n";
      echo "<td><input type='text' name='Album_New[]' value='' size='15' maxlength='100' class=input_content></td>\n";
      echo "<td><input type='text' name='Genre_New[]' value='' size='15' maxlength='100' class=input_content></td>\n";
      echo "<td><input type='text' name='Track_Number_New[]' value='' size='2' maxlength='3' class=input_content></td>\n";
    
      foreach ($columns as $index => $value) {
        echo "<input type='hidden' name='".str_replace(" ", "_", $col_names[$index])."[]' value='$value'>\n";
      }
      
      $cnt++;
      
      if ($cnt >= RES_PER_PAGE) break;
    
    }
    
    echo "<tr class='content'><td colspan='7' align='center'><input type='submit' name='submit' value='".TFREC_FORM_BTN."' class='btn_content'></td></tr>\n";
    echo "</form>\n";
    echo "</table>\n";
  
  } else {
  
    echo TFREC_SUCCESS_2;
  
  }
  
  echo '<br><br>';

}


##################################################

?>
