<?

##################################################

# /admin/prefs-edit.php

##################################################

define( "ADMPREF_FILEINFO_1", "Created" );
define( "ADMPREF_FILEINFO_2", "From" );
define( "ADMPREF_FILEINFO_3", "Save As" );

define( "ADMPREF_DENIED_1", "Cannot Write To Your Preference File. Permissions Error." );

define( "ADMPREF_CHECKFORM_FSPATH", "Please enter a Filesystem Path" );
define( "ADMPREF_CHECKFORM_WEBPATH", "Please enter a Web Path" );
define( "ADMPREF_CHECKFORM_DBNAME", "Please enter a DB name" );
define( "ADMPREF_CHECKFORM_STREAM", "Please enter a Streaming Server" );
define( "ADMPREF_CHECKFORM_BGCOLOR", "Please choose a Background color." );
define( "ADMPREF_CHECKFORM_FONTFACE", "Please choose a list of Fonts." );
define( "ADMPREF_CHECKFORM_FONTSIZE", "Please choose a Font Size." );
define( "ADMPREF_CHECKFORM_TEXT", "Please choose a Text color." );
define( "ADMPREF_CHECKFORM_LINK", "Please choose a Link color." );
define( "ADMPREF_CHECKFORM_ALINK", "Please choose an Active Link color." );
define( "ADMPREF_CHECKFORM_VLINK", "Please choose a Visited Link color." );
define( "ADMPREF_CHECKFORM_BORDER", "Please choose a Table Border color." );
define( "ADMPREF_CHECKFORM_HEADER", "Please choose a Table Header color." );
define( "ADMPREF_CHECKFORM_HEADERFC", "Please choose a Table Header font color." );
define( "ADMPREF_CHECKFORM_CONTENT", "Please choose a Table Content color." );

define( "ADMPREF_HEADER", "SYSTEM PREFERENCE FILE" );
define( "ADMPREF_CAPTION", "The form below controls the site's default font and color theme, and the option to let users have custom themes. This is what users will see in public mode, as well as their default settings when an account is first created." );
define( "ADMPREF_PALETTE", "Use this color palette to choose a default environment." );

define( "ADMPREF_FORMS_CAPT_ENABLED", "Enabled" );

define( "ADMPREF_FORMS_LANGPACK", "Language" );
define( "ADMPREF_FORMS_SAVETOFILE", "Save To File" );
define( "ADMPREF_FORMS_SAVETOFILE_HELP_1", "To automatically save this information to you preference file, the\\nfile must be writable by the web server. To do so, there are two\\nsolutions:\\n\\n- The file can be writable by everyone (not recommended).\\n\\n- The file owner can be set to be the user associated with the web\\n &nbsp;server software (usually requires a server root/admin login).\\n\\nThe alternate, but secure way is to simply cut-and-paste the information\\npresented in the next screen to the system preference file /etc/inc-prefs.php." );
define( "ADMPREF_FORMS_SAVETOFILE_HELP_2", "Important Security Note" );
define( "ADMPREF_FORMS_SECMODE", "Security Mode" );
define( "ADMPREF_FORMS_SECMODE_HELP_1", "0.0 = Public content - Login enabled - Public registration enabled\\n0.1 = Public content - Login enabled - Public registration disabled\\n0.2 = Public content - Admin Login required - Public registration disabled\\n\\n1.0 = Private content - Login enabled - Public registration enabled\\n1.1 = Private content - Login enabled - Public registration disabled\\n1.2 = Private content - Admin Login required - Public registration disabled\\n" );
define( "ADMPREF_FORMS_SECMODE_HELP_2", "Security Mode Definitions" );
define( "ADMPREF_FORMS_FSPATH", "Filesystem Path" );
define( "ADMPREF_FORMS_WEBPATH", "Web Path" );
define( "ADMPREF_FORMS_DBTYPE", "DB Type" );
define( "ADMPREF_FORMS_DBHOST", "DB Host" );
define( "ADMPREF_FORMS_DBUSER", "DB User" );
define( "ADMPREF_FORMS_DBPASS", "DB Password" );
define( "ADMPREF_FORMS_DBNAME", "DB Name" );
define( "ADMPREF_FORMS_STREAM", "Stream Server" );
define( "ADMPREF_FORMS_MUSICDIR", "Local Music Dir." );
define( "ADMPREF_FORMS_REALONLY", "Real Player" );
define( "ADMPREF_FORMS_REALONLY_HELP_1", "Enabling this feature limits the audio streaming to\\nthe Real Player application. This can be helpful to\\nfurther help stopping file downloads as the Real\\nPlayer is one of the only ones not to show the\\nfile\\'s URL, as well as having an http user agent\\nwe can scan for." );
define( "ADMPREF_FORMS_REALONLY_HELP_2", "Feature Definition" );
define( "ADMPREF_FORMS_HTMLHEAD", "HTML Header" );
define( "ADMPREF_FORMS_HTMLFOOT", "HTML Footer" );
define( "ADMPREF_FORMS_ENABLECOMM", "Community" );
define( "ADMPREF_FORMS_ENABLECOMM_HELP_1", "- Primary Navigation Toolbar\\n- Community Section\\n- Shared Playlist Features\\n" );
define( "ADMPREF_FORMS_ENABLECOMM_HELP_2", "Affected Features" );
define( "ADMPREF_FORMS_RESPERPAGE_1", "Limit results to " );
define( "ADMPREF_FORMS_RESPERPAGE_2", "items per page where available" );

define( "ADMPREF_FORMS_LANGPACK", "Language" );
define( "ADMPREF_FORMS_LANGPACK_CAPTION_1", "English" );
define( "ADMPREF_FORMS_LANGPACK_CAPTION_2", "French" );

define( "ADMPREF_FORMS_THEMES", "User Themes" );
define( "ADMPREF_FORMS_THEMES_HELP", "Enables users to create their own color/font themes once logged in" );
define( "ADMPREF_FORMS_INVICN", "Inverse Icons" );
define( "ADMPREF_FORMS_INVICN_HELP", "Enables users to inverse the color of the icons: Play, Get Info, Filter..." );
define( "ADMPREF_FORMS_FONTFACE", "Font Face" );
define( "ADMPREF_FORMS_FONTSIZE", "Font Size" );
define( "ADMPREF_FORMS_BGCOLOR", "Background Color" );
define( "ADMPREF_FORMS_TEXT", "Text Color" );
define( "ADMPREF_FORMS_LINK", "Links Color" );
define( "ADMPREF_FORMS_ALINK", "Active Links Color" );
define( "ADMPREF_FORMS_VLINK", "Visited Links Color" );
define( "ADMPREF_FORMS_BORDER", "Border Color" );
define( "ADMPREF_FORMS_HEADER", "Header Color" );
define( "ADMPREF_FORMS_HEADERFC", "Header Font Color" );
define( "ADMPREF_FORMS_CONTENT", "Content Color" );

define( "ADMPREF_FORMS_BTN_SAVE", "Save" );
define( "ADMPREF_FORMS_BTN_RESET", "Reset" );

##################################################

?>