<?

# Call common libraries
require_once('./lib/inc-common.php');
require_once(FS_PATH."/etc/locale/".LANG_PACK."/inc-play.php");

if ( ($do == "play") || ($do == "plist") ) {
########################################
# PLAY TRACKS
########################################
#  Usage:
#  - Play:  play.php?do=play&val=1009,1001,1975
########################################

  if ($val != '') {

    if ($do == "plist") $val = get_pl_tracks(abs($val));
    
    $id = split(",",$val);
  
    foreach ($id as $this_id) {

      $sql = <<<______END_SQL
        SELECT location
        from netjuke_tracks
        where id = $this_id
______END_SQL;
      
      $dbrs = $dbconn->Execute($sql);
      
      $tr_location  = $dbrs->fields[0];
      
      # Append streaming server value if location doesn't contain ://
      # Scanning for :// only because full protocol could be http://, https://, rtsp://, etc.
      # This enables to add internet radio stations or files streamed from multiple servers by
      # simply having a full url (eg: http://other.host.dom/path/to/media/file.mp3) in the
      # track's location field.
      if (substr_count($tr_location,"://") < 1) $tr_location = STREAM_SRVR."/".$tr_location;
      
      # Append web path value if location still doesn't contain ://
      # Copes with the fact that the streaming server could be a relative path (eg: music/)
      # instead of a protocol+hostname combination (http://streaming.host.dom)
      if (substr_count($tr_location,"://") < 1) $tr_location  = WEB_PATH."/".$tr_location;
      
      //$playlist .= $tr_location."\n";
      $playlist .= WEB_PATH."/play.php?do=dispatch&val=".encode_passwd($tr_location)."\n";
      
      $dbrs->Close();

    }

  } else {

    alert (PLAYER_NOID);
    exit;

  }

  header( "Content-Disposition: attachment; filename=NetJuke.m3u" ); 
  header ("Content-type: audio/x-mpegurl");

  echo $playlist;

  exit;


} elseif ($do == "dispatch") {

   // The following browser checks are only as secure as the concept
   // of user agents itself ...
   if (    ( (substr_count(strtolower($HTTP_USER_AGENT),"mozilla")) < 1)
        && ( (substr_count(strtolower($HTTP_USER_AGENT),"wget")) < 1) ) {

     if (REAL_ONLY == 'f') {
     
       playMe($val);
     
     } elseif ( (REAL_ONLY == 't') && (substr_count(strtolower($HTTP_USER_AGENT),"realmedia") == 1) ) {
     
       playMe($val);
     
     } else {

       header ( "Location: ".WEB_PATH."/etc/locale/".LANG_PACK."/real-error.mp3" );
     
     }

   } else {

     header ( "Location: ".WEB_PATH."/index.php" );

   }

} else {

   header ("Location: index.php\n\n");

   exit;

}

function playMe($encoded_url) {
     
  GLOBAL $dbconn;
  
  $decoded = decode_passwd($encoded_url);

  $location = str_replace(STREAM_SRVR."/","",$decoded);

  $dbrs = $dbconn->Execute( "update netjuke_tracks set dl_cnt = ( abs(dl_cnt) + 1 ) "
        . " where location = '".$location."'" );

  header ( "Location: ".$decoded );

}

?>
