<?

# Call common libraries
require_once('./lib/inc-common.php');
require_once(FS_PATH."/etc/locale/".LANG_PACK."/inc-search.php");

if (!$do) {

  header ("Location: index.php\n\n");
  exit;

}  elseif ( ($do == "list.tracks") || ($do == "search") ) {
########################################
# LIST OR SEARCH TRACKS
########################################

   if (strlen($col) < 1) $col = 'tr.id';

   $valurl = rawurlencode ($val);
   
   if (substr($do,0,5) != "list.") $prev_val = strtolower (htmlentities(db_to_raw($val),ENT_QUOTES));

   if (substr($do,0,5) == "list.") {
      if (strlen($val) < 1) $val = '1';
      $clause = "$col = '$val'";
   } else {
      if (strlen($val) > 0) {
        if ($col == 'tr.time') {
          $val = abs($val);
          $clause = "$col >= ".($val - 5)." and $col <= ".($val + 5);
          if ($sort == '') $sort = "ti";
        } else {
          $upper_val = strtoupper($val);
          $clause = "$col like '%".$upper_val."%'";
          if ($sort == '') $sort = substr($col,0,2);
        }
        $str = strtolower($val);
      } else {
        print javascript("alert('".SRCH_NOSTR."');self.history.go(-1);");
        exit;
      }
   }
   
   if (strlen($filter) > 0) $and = ' and '.rawurldecode($filter); 

   if (substr($col,0,2) == "ar") $ars = 'SELECTED';
   if (substr($col,0,2) == "tr") $trs = 'SELECTED';
   if (substr($col,0,2) == "al") $als = 'SELECTED';
   if (substr($col,0,2) == "ge") $ges = 'SELECTED';
   if (substr($col,3,2) == "ti") $tis = 'SELECTED';
   
   if ($NETJUKE_SESSION_VARS["user_email"] != "") {
     $plist_opt1 = "<A HREF=\"Javascript:Plist('addto');\" title=\"".SRCH_TB_ADDTO_HELP."\">".SRCH_TB_ADDTO."</A> &raquo;";
     $plist_opt2 = plistSelect($NETJUKE_SESSION_VARS["user_email"],$NETJUKE_SESSION_VARS["default_pl"]) . " <INPUT TYPE='submit' NAME='submit' VALUE='".SRCH_TB_PLIST_BTN."' class='btn_content'>";
   } else {
     if (abs(substr(SECURITY_MODE,2,1)) != 2) {
       $plist_opt1 = SRCH_TB_ADDTO . " &raquo;";
     }
     $plist_opt2 = "<A HREF='login.php'><b>".SRCH_TB_LOGIN."</b></A>";
     if (abs(substr(SECURITY_MODE,2,1)) == 0) {
       $plist_opt2 .= " / <A HREF='account.php?do=new'><b>".SRCH_TB_REGISTER."</b></A>";
     }
   }

   $columns = array ( SRCH_COLS_TR
                    , SRCH_COLS_TI
                    , SRCH_COLS_AR
                    , SRCH_COLS_AL
                    , SRCH_COLS_TN
                    , SRCH_COLS_GE );

   if ( ($sort == '') ||  ($sort == "al")) {

     # SORT BY ALBUM NAME
     $order_by = 'order by al.name, tr.track_number, ar.name, tr.location';
     $selected = 3;

   } elseif ($sort == "ar") {

     # SORT BY ARTIST NAME
     $order_by = 'order by ar.name, al.name, tr.track_number, tr.location';
     $selected = 2;

   } elseif ($sort == "tr") {

     # SORT BY TRACK NAME
     $order_by = 'order by tr.name, ar.name, al.name, tr.track_number, tr.location';
     $selected = 0;

   } elseif ($sort == "ge") {

     # SORT BY GENRE
     $order_by = 'order by ge.name, al.name, tr.track_number, tr.location';
     $selected = 5;

   } elseif ($sort == "ti") {

     # SORT BY TIME
     $order_by = 'order by tr.time';
     $selected = 1;

   } else {

     # SORT BY TRACK NUMBER
     $order_by = 'order by tr.track_number,tr.location';
     $selected = 4;

   }

   $cnt = 0;
   
   while ($cnt < 6) {
     if ($cnt == $selected) $columns[$cnt] = strtoupper ($columns[$cnt]);
     $cnt++;
   }

   $from = <<<___END_SQL
      from netjuke_tracks tr, netjuke_artists ar, netjuke_albums al, 
           netjuke_genres ge
___END_SQL;

   $where = <<<___END_SQL
      where $clause $and
        and ar.id = tr.ar_id
        and al.id = tr.al_id
        and ge.id = tr.ge_id
___END_SQL;

   $dbrs = $dbconn->Execute("select count(tr.id) $from $where");
  
   $total = $dbrs->fields[0];

   if ($page_nav) {
     list($first,$page) = split(",",$page_nav);
   }
   
   if ($first < 1) $first = 1;
   $plus = abs(RES_PER_PAGE);
   if ($plus < 1) $plus = 25;
   $last = $first + $plus;
   $prev_first = $first - $plus;
  
   if ($page < 1) $page = 1;

   $select = <<<___END_SQL
      SELECT tr.name, ar.name, al.name,
             ge.name, tr.location,
             tr.id, ar.id, al.id, ge.id, tr.time, tr.track_number
___END_SQL;

   $sql = "$select $from $where $order_by";
   
   $dbrs = $dbconn->SelectLimit($sql,($last-1));

   $page_cnt = 1;
   
   $rows = $dbrs->RecordCount();
   
   while (!$dbrs->EOF) {
    
     if ($page_cnt == $last) {
      
        break;
      
     } else {

       if ($page_cnt >= $first) {

          $field = $dbrs->fields;
          
          $select = "<input type=checkbox name='val[]' value='".$field[5]."' title=\"".SRCH_CHCK_HELP."\">";
          $play = "<a href='./play.php?do=play&val=".$field[5]."' title=\"".SRCH_PLAY_HELP."\"><img alt='".SRCH_PLAY_HELP."' src='".$ICONS['play']."' border=0 width=8 height=8 align=absmiddle hspace=0 vspace=0></a>";
          $get_info = "<a href=\"javascript:void(0);\" onClick=\"window.open('tr-info.php?id=".$field[5]."','NetJukeGetInfo','width=450,height=480,top=25,left=25,menubar=no,scrollbars=yes,resizable=yes');\" title=\"".SRCH_INFO_HELP."\"><img alt=\"".SRCH_INFO_HELP."\" src='".$ICONS['info']."' border=0 width=8 height=8 align=absmiddle hspace=0 vspace=0></a>";
    
          if ($field[9] >= 0) {
            $min = (int) ($field[9] / 60);
            $sec = ( $field[9] - ($min * 60) );
            if (strlen($sec) == 1) $sec = '0' . $sec;
            $time = $min . ':' . $sec; 
          }

          $field[0] = format_for_display($field[0]);
          $field[1] = format_for_display($field[1]);
          $field[2] = format_for_display($field[2]);
          $field[3] = format_for_display($field[3]);
          
          $html .= "
          <tr valign=top>
            <td class='content' nowrap>$select $play $get_info</td>
            <td class='content'>$field[0]&nbsp;</td>
            <td class='content' align=right>$time&nbsp;</td>
            <td class='content'><A HREF=\"$PHP_SELF?do=list.tracks&col=ar.id&val=$field[6]&sort=ar\" title=\"".SRCH_AR_HELP."\">$field[1]</A>&nbsp;</td>
            <td class='content'><A HREF=\"$PHP_SELF?do=list.tracks&col=al.id&val=$field[7]&sort=al\" title=\"".SRCH_AL_HELP."\">$field[2]</A>&nbsp;</td>
            <td class='content' align=center>$field[10]</td>
            <td class='content'><A HREF=\"$PHP_SELF?do=list.tracks&col=ge.id&val=$field[8]&sort=ge\" title=\"".SRCH_GE_HELP."\">$field[3]</A>&nbsp;</td>
          </tr> 
          ";
       
       }
       
       $page_cnt++;
          
       $dbrs->MoveNext();
    
     }

   }

   $dbrs->Close();
  
   if ($prev_first > 0) {
     $prev_btn = "<b>&laquo; <a href='$PHP_SELF?do=$do&col=$col&val=$val&sort=$sort&filter=$filter&first=$prev_first&page=".($page - 1)."' title=\"".SRCH_TB_PREV_HELP."\">".SRCH_TB_PREV."</a> &nbsp;";
   } else {
     $prev_btn = "&nbsp";
   }
   
   if ($page_cnt <= $total) {
     $next_btn = "<b><a href='$PHP_SELF?do=$do&col=$col&val=$val&sort=$sort&filter=$filter&first=$last&page=".($page + 1)."' title=\"".SRCH_TB_NEXT_HELP."\">".SRCH_TB_NEXT."</a> &raquo;</b> &nbsp;";
   } else {
     $next_btn = "&nbsp";
   }
   
   $page_cnt = 0;
   
   $this_page  = 1;
 
   $this_prev_first = 1;
   
   while ($page_cnt < $total) {
     
     if ($page_cnt % $plus == 0) {
 
       $this_first = $this_prev_first;
 
       if ($this_page == $page) {
         $page_selected = "selected";
       } else {
         $page_selected = "";
       }
       $page_nav .= "<option value='$this_first,$this_page' $page_selected>".SRCH_TB_PAGE." $this_page</option>";
   
       $this_prev_first = $this_first + $plus;
       
        $this_page++;
     
     }
      
     $page_cnt++;
  
   }

   # HTML header
   $section = "browse";
   include (INTERFACE_HEADER);
   
}

########################################

?>

        <table width='100%' border=0 cellspacing=1 cellpadding=3 class='border'>
         <tr>
           <td class="header" nowrap colspan=5><B><?= SRCH_HEADER ?></B></td>
         </tr>
        <form action='<?=$PHP_SELF?>' method=get name='searchForm'>
        <input type=hidden name='do' value='search'>
         <tr>
           <td class="content" align=center nowrap colspan=3>
             <b>
               <?= $total." ".SRCH_ROWCNT_1.". ". SRCH_ROWCNT_2." ".$page." ".SRCH_ROWCNT_3." ". ($this_page - 1) . " (".$plus." ".SRCH_ROWCNT_4."). " ?>
             </b>
           </td>
           <td class="content" align=center nowrap colspan=2>
             <select name='col' class=input_content>
               <option value='ar.name' <?=$ars?>><?= SRCH_QS_AR ?></option>
               <option value='tr.name' <?=$trs?>><?= SRCH_QS_TR ?></option>
               <option value='al.name' <?=$als?>><?= SRCH_QS_AL ?></option>
               <option value='ge.name' <?=$ges?>><?= SRCH_QS_GE ?></option>
               <option value='tr.time' <?=$tis?>><?= SRCH_QS_TI ?></option>
             </select>
             <input type=text name='val' size='12' maxlength=50 value='<?=$prev_val?>' class=input_content>
             <input type=submit value='<?= SRCH_QS_BTN ?>' class='btn_content'> 
           </td>
        </tr>
        </form>
        <form action='pl-edit.php' method=get name='viewForm' onSubmit="return(Plist('view'));">
        <input type=hidden name='do' value='edit'>
         <tr>
           <td class="content" align=center nowrap><B><A HREF="Javascript:SelectAll();" title="<?= SRCH_TB_SELECT_HELP ?>"><?= SRCH_TB_SELECT ?></A></B></td>
           <td class="content" align=center nowrap><B><A HREF="Javascript:ResetAll();" title="<?= SRCH_TB_RESET_HELP ?>"><?= SRCH_TB_RESET ?></A></B></td>
           <td class="content" align=center nowrap><B><A HREF="Javascript:Plist('play');" title="<?= SRCH_TB_PLAYSEL_HELP ?>"><?= SRCH_TB_PLAYSEL ?></A></B></td>
           <td class="content" align=center nowrap><B><?=$plist_opt1?></B></td>
           <td class="content" align=center nowrap><?=$plist_opt2?></td>
        </tr>
        </form>
        </table>

        <BR>

        <table width='100%' border=0 cellspacing=1 cellpadding=3 class='border'>
        <form action="<?=$PHP_SELF?>" method=get name="pageForm">
        <input type=hidden name="do" value="<?=$do?>">
        <input type=hidden name="col" value="<?=$col?>">
        <input type=hidden name="val" value="<?=$val?>">
        <input type=hidden name="sort" value="<?=$sort?>">
        <input type=hidden name="filter" value="<?=$filter?>">
         <tr>
           <td width="25%" class="content" align=center nowrap>
             <?=$prev_btn?>
           </td>
           <td width="25%" class="content" align=center nowrap>
             <a href="#PageBot" title="<?= SRCH_TB_PAGEBOT_HELP ?>"><b><?= SRCH_TB_PAGEBOT ?></b></a>
           </td>
           <td width="25%" class="content" align=center>
             <select name="page_nav" class=input_content>
               <?=$page_nav?>
             </select>
             <input type=submit value='<?= SRCH_TB_PAGE_BTN ?>' class='btn_content'>
           </td>
           <td width="25%" class="content" align=center nowrap>
             <?=$next_btn?>
           </td>
        </tr>
        </form>
        </table>

        <BR>

        <table width='100%' border=0 cellspacing=1 cellpadding=3 class='border'>   
        <form name='playForm'> 
           <tr>
             <td class='header' width='5%' nowrap>
               <B><?= SRCH_COLS_OP ?></B>
             </td>
             <td class='header' width='30%' nowrap>
               <B><A CLASS="header" HREF="<?=$PHP_SELF?>?do=<?=$do?>&col=<?=$col?>&val=<?=$valurl?>&sort=tr" title="<?= SRCH_COLS_TR_HELP ?>"><?=$columns[0]?></A></B>
             </td>
             <td class='header' width='5%' nowrap>
               <B><A CLASS="header" HREF="<?=$PHP_SELF?>?do=<?=$do?>&col=<?=$col?>&val=<?=$valurl?>&sort=ti" title="<?= SRCH_COLS_TI_HELP ?>"><?=$columns[1]?></A></B>
             </td>
             <td class='header' width='20%' nowrap>
               <B><A CLASS="header" HREF="<?=$PHP_SELF?>?do=<?=$do?>&col=<?=$col?>&val=<?=$valurl?>&sort=ar" title="<?= SRCH_COLS_AR_HELP ?>"><?=$columns[2]?></A></B>
               <? if (strlen($filter) == 0) { ?>&nbsp;<A HREF="javascript:void(0);" onClick="window.open('filter.php?do=list.artists&search_do=<?=$do?>&col=<?=$col?>&val=<?=$valurl?>','NetJukeRemote','width=400,height=450,top=25,left=25,menubar=no,scrollbars=yes,resizable=yes');" title="Click To Filter These Results By Artists"><img src="<?=$ICONS['filter']?>" alt='Click To Filter These Results By Artists' hspace='0' vspace='0' border='0' align='absmiddle'></a><? } ?>
             </td>
             <td class='header' width='28%' nowrap>
               <B><A CLASS="header" HREF="<?=$PHP_SELF?>?do=<?=$do?>&col=<?=$col?>&val=<?=$valurl?>&sort=al" title="<?= SRCH_COLS_AL_HELP ?>"><?=$columns[3]?></A></B>
               <? if (strlen($filter) == 0) { ?>&nbsp;<A HREF="javascript:void(0);" onClick="window.open('filter.php?do=list.albums&search_do=<?=$do?>&col=<?=$col?>&val=<?=$valurl?>','NetJukeRemote','width=400,height=450,top=25,left=25,menubar=no,scrollbars=yes,resizable=yes');" title="Click To Filter These Results By Albums"><img src="<?=$ICONS['filter']?>" alt='Click To Filter These Results By Albums' hspace='0' vspace='0' border='0' align='absmiddle'></a><? } ?>
             </td>
             <td class='header' width='2%' nowrap>
               <B><A CLASS="header" HREF="<?=$PHP_SELF?>?do=<?=$do?>&col=<?=$col?>&val=<?=$valurl?>&sort=tn" title="<?= SRCH_COLS_TN_HELP ?>"><?=$columns[4]?></A></B>
             </td>
             <td class='header' width='10%' nowrap>
               <B><A CLASS="header" HREF="<?=$PHP_SELF?>?do=<?=$do?>&col=<?=$col?>&val=<?=$valurl?>&sort=ge" title="<?= SRCH_COLS_GE_HELP ?>"><?=$columns[5]?></A></B>
               <? if (strlen($filter) == 0) { ?>&nbsp;<A HREF="javascript:void(0);" onClick="window.open('filter.php?do=list.genres&search_do=<?=$do?>&col=<?=$col?>&val=<?=$valurl?>','NetJukeRemote','width=400,height=450,top=25,left=25,menubar=no,scrollbars=yes,resizable=yes');" title="Click To Filter These Results By Genres"><img src="<?=$ICONS['filter']?>" alt='Click To Filter These Results By Genres' hspace='0' vspace='0' border='0' align='absmiddle'></a><? } ?>
             </td>
           </tr>

<!-- tbody style="overflow: auto; height: 330px;" -->

           <?= $html ?>

<!-- /tbody -->

        </form> 
        </table>


        <BR>

        <table width='100%' border=0 cellspacing=1 cellpadding=3 class='border'>
        <form action="<?=$PHP_SELF?>" method=get name="pageForm">
        <input type=hidden name="do" value="<?=$do?>">
        <input type=hidden name="col" value="<?=$col?>">
        <input type=hidden name="val" value="<?=$val?>">
        <input type=hidden name="sort" value="<?=$sort?>">
        <input type=hidden name="filter" value="<?=$filter?>">
         <tr>
           <td width="25%" class="content" align=center nowrap>
             <?=$prev_btn?>
           </td>
           <td width="25%" class="content" align=center nowrap>
             <a href="#PageTop" title="<?= SRCH_TB_PAGETOP_HELP ?>"><b><?= SRCH_TB_PAGETOP ?></b></a>
           </td>
           <td width="25%" class="content" align=center>
             <select name="page_nav" class=input_content>
               <?=$page_nav?>
             </select>
             <input type=submit value='<?= SRCH_TB_PAGE_BTN ?>' class='btn_content'>
           </td>
           <td width="25%" class="content" align=center nowrap>
             <?=$next_btn?>
           </td>
        </tr>
        </form>
        </table>
   
<?
   
   # HTML footer
   include (INTERFACE_FOOTER);

?>
