<?

require_once('./lib/inc-common.php');
require_once(FS_PATH."/etc/locale/".LANG_PACK."/inc-tr-info.php");

$sql = " SELECT tr.id, tr.name, tr.ar_id, ar.name "
     . "      , tr.al_id, al.name, tr.ge_id, ge.name "
     . "      , tr.size, tr.time, tr.track_number "
     . "      , tr.bit_rate, tr.sample_rate, tr.kind "
     . "      , tr.location, tr.dl_cnt "
     . " FROM netjuke_tracks tr, netjuke_artists ar "
     . "    , netjuke_albums al, netjuke_genres ge "
     . " WHERE tr.id = " . abs($id)
     . "   AND tr.ar_id = ar.id"
     . "   AND tr.al_id = al.id"
     . "   AND tr.ge_id = ge.id";

$dbrs = $dbconn->Execute($sql);

if ($dbrs->RecordCount() != 1) {

  javascript("alert('".TRINFO_NOID."'); self.close();");

}   
    
if ($dbrs->fields[9] >= 0) {
  $min = (int) ($dbrs->fields[9] / 60);
  $sec = ( $dbrs->fields[9] - ($min * 60) );
  if (strlen($sec) == 1) $sec = '0' . $sec;
  $time = $min . ':' . $sec; 
}

$file_size = $dbrs->fields[8];

if ($file_size >= 1073741824) {
  $file_size = round($file_size / 1073741824 * 100) / 100 . " GB";
} elseif ($file_size >= 1048576) {
  $file_size = round($file_size / 1048576 * 100) / 100 . " MB";
} elseif ($file_size >= 1024) {
  $file_size = round($file_size / 1024 * 100) / 100 . " KB";
} else {
  $file_size = $file_size . "B";
}

$file_name = split("/",$dbrs->fields[14]);

?>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN"
			"http://www.w3.org/TR/REC-html40/loose.dtd">

<HTML>
<HEAD>
	<TITLE><?= TRINFO_HEADER ?>: <?=format_for_display($dbrs->fields[1])?></TITLE>
	<link rel="Stylesheet" href="<?=WEB_PATH?>/lib/inc-css.php?<?=time()?>" type="text/css">
	<script src="<?=WEB_PATH?>/lib/inc-jscript.php" type="text/javascript" language="Javascript"><!-- //--></script>
</HEAD>
<BODY BGCOLOR='#<?=$NETJUKE_SESSION_VARS["bgcolor"]?>' TEXT='#<?=$NETJUKE_SESSION_VARS["text"]?>' LINK='#<?=$NETJUKE_SESSION_VARS["link"]?>' ALINK='#<?=$NETJUKE_SESSION_VARS["alink"]?>' VLINK='#<?=$NETJUKE_SESSION_VARS["vlink"]?>' ONLOAD='self.focus();'>
	<a name="PageTop"></a>
	<div align=center>

		<table width='100%' border=0 cellspacing=1 cellpadding=3 class='border'>
			<tr>
				<td class="header" colspan=2><b><?= TRINFO_HEADER ?></b></td>
			</tr>
			<tr>
				<td width="30%" align=right valign=top class="content"><?= TRINFO_FORM_TR ?></td>
				<td width="70%" align=left valign=top class="content"><?=format_for_display($dbrs->fields[1])?></td>
			</tr>
			<tr>
				<td width="30%" align=right valign=top class="content"><?= TRINFO_FORM_AR ?></td>
				<td width="70%" align=left valign=top class="content"><?=format_for_display($dbrs->fields[3])?></td>
			</tr>
			<tr>
				<td width="30%" align=right valign=top class="content" nowrap><?= TRINFO_FORM_AL ?></td>
				<td width="70%" align=left valign=top class="content"><?=format_for_display($dbrs->fields[5])?></td>
			</tr>
			<tr>
				<td width="30%" align=right valign=top class="content" nowrap><?= TRINFO_FORM_GE ?></td>
				<td width="70%" align=left valign=top class="content"><?=format_for_display($dbrs->fields[7])?></td>
			</tr>
			<tr>
				<td width="30%" align=right valign=top class="content" nowrap><?= TRINFO_FORM_TI ?></td>
				<td width="70%" align=left valign=top class="content"><?=$time?></td>
			</tr>
			<tr>
				<td width="30%" align=right valign=top class="content" nowrap><?= TRINFO_FORM_TN ?></td>
				<td width="70%" align=left valign=top class="content"><?=$dbrs->fields[10]?></td>
			</tr>
			<tr>
				<td width="30%" align=right valign=top class="content" nowrap><?= TRINFO_FORM_BR ?></td>
				<td width="70%" align=left valign=top class="content"><?=$dbrs->fields[11]?> kbps</td>
			</tr>
			<tr>
				<td width="30%" align=right valign=top class="content" nowrap><?= TRINFO_FORM_SR ?></td>
				<td width="70%" align=left valign=top class="content"><?=$dbrs->fields[12]?> kHz</td>
			</tr>
			<tr>
				<td width="30%" align=right valign=top class="content" nowrap><?= TRINFO_FORM_FK ?></td>
				<td width="70%" align=left valign=top class="content"><?=$dbrs->fields[13]?></td>
			</tr>
			<tr>
				<td width="30%" align=right valign=top class="content" nowrap><?= TRINFO_FORM_FS ?></td>
				<td width="70%" align=left valign=top class="content"><?=$file_size?></td>
			</tr>
			<tr>
				<td width="30%" align=right valign=top class="content" nowrap><?= TRINFO_FORM_FN ?></td>
				<td width="70%" align=left valign=top class="content"><?=rawurldecode($file_name[count($file_name) - 1])?></td>
			</tr>
			<tr>
				<td width="30%" align=right valign=top class="content" nowrap><?= TRINFO_FORM_LC ?></td>
				<td width="70%" align=left valign=top class="content"><?=$dbrs->fields[15]?></td>
			</tr>
		</table>

		<br>
		<table width='100%' border=0 cellspacing=1 cellpadding=3 class="border">
			<tr>
				<td width="" align="center" class="content"><a href="<?=WEB_PATH.'/play.php?do=play&val='.$id?>" title="<?= TRINFO_PLAY_HELP ?>"><b><?= TRINFO_PLAY ?></b></a></td>

<? if (($NETJUKE_SESSION_VARS["gr_id"] < 3) && ($do != 'edit')) { ?>

				<td width="" align="center" class="content"><a href="<?=WEB_PATH?>/admin/tr-edit.php?do=edit&tr_id=<?=$id?>" title="<?= TRINFO_EDIT_HELP ?>"><b><?= TRINFO_EDIT ?></b></a></td>

<? } ?>

				<td width="" align="center" class="content"><a href="javascript:window.close();" title="<?= TRINFO_CLOSEWIN_HELP ?>"><b><?= TRINFO_CLOSEWIN ?></b></a></td>
			</tr>
		</table>
	<div>
</BODY>
</HTML>
