<?

define( "THIS_VERSION", "1.0b1" );

if ( ($lang_packField == '') || (!is_dir("../etc/locale/".$lang_packField)) ) {
  $msg .= "- Please Select A Language.\\n";
  $msg .= "- Veuillez Choisir Un Language.\\n";
}

if ($msg != '') alert($msg);

require_once("../etc/locale/".$lang_packField."/inc-admin_installer.php");

if ( ($versionField == '') || (strtolower($versionField) != strtolower(THIS_VERSION)) ) {
  $msg .= "- ".ADMINST_ERR_VERSION.".\\n";
}

if ($msg != '') alert($msg);

if ($fs_pathField == '') {
  $msg .= "- ".ADMINST_ERR_FSPATH.".\\n";
}

if ($web_pathField == '') {
  $msg .= "- ".ADMINST_ERR_WEBPATH.".\\n";
}

if ($db_typeField == '') {
  $msg .= "- - ".ADMINST_ERR_DBTYPE.".\\n";
}

if ($db_hostField == '') {
  $msg .= "- ".ADMINST_ERR_DBHOST.".\\n";
}

if ($db_nameField == '') {
  $msg .= "- ".ADMINST_ERR_DBNAME.".\\n";
}

if ($sys_admin_userField == '') {
  $msg .= "- ".ADMINST_ERR_EMAIL.".\\n";
}

if ($sys_admin_pass2Field == '') {
  $msg .= "- ".ADMINST_ERR_PASS.".\\n";
}

if ($stream_srvrField == '') {
  $msg .= "- ".ADMINST_ERR_STREAM.".\\n";
}

if ($sqlField == '') {
  $msg .= "- ".ADMINST_ERR_NOSQL.".\\n";
}

if ($msg != '') alert($msg);

// Define if the inc-prefs.php already exists on the targetted copy.
// Be aware that if you use host based authentication, accessing the
// inc-prefs.php from a non-authaurized host will gather a 403 error
// from the http server, which would bypass this check. In such cases,
// the failsafe checking of the database's existence will still safely
// kick-in, therefore protecting live systems from possible attacks.
if ( file_exists("../etc/inc-prefs.php") ) alert( ADMINST_ERR_DENIED_1 );

// failsafe to make sure the given filesystem path is correct
if ( !file_exists($fs_pathField."/lib/adodb/adodb.inc.php") ) alert( ADMINST_ERR_DENIED_2 );

require_once("../lib/adodb/adodb.inc.php");

$dbconn = &ADONewConnection($db_typeField);

# define if we can use persistent connections
# for the selected database type
switch (strtolower($db_typeField)) {
  case "mysql": // MySQL
    if (get_cfg_var("mysql.allow_persistent") == 1) $persistent = 1;
    break;
  default: // PostgreSQL 6 & 7
    if (get_cfg_var("pgsql.allow_persistent") == 1) $persistent = 1;
}

# connect using PConnect or Connect and print error if any.
if ($persistent == 1) {
  if ($dbconn->PConnect($db_hostField,$db_userField,$db_passField,$db_nameField) != true) {
    alert( ADMINST_ERR_PCONNECT );
  } // else { echo "Connected to ".$db_hostField." using \$dbconn->PConnect."; exit; }
} else {
  if ($dbconn->Connect($db_hostField,$db_userField,$db_passField,$db_nameField) != true) {
    alert( ADMINST_ERR_CONNECT );
  } // else { echo "Connected to ".$db_hostField." using \$dbconn->Connect."; exit; }
}

// Define if the database has already been generated before
// Exit if affirmative.
if ( $dbrs = $dbconn->Execute('select count(id) from netjuke_tracks') ) alert( $msg . " (2)" );

$msg = $dbrs = ''; // cleanup, cleanup, tralala.

// run the appropriate database generation SQL commands
foreach ($sqlField as $sql) {

  $sql = base64_decode(rawurldecode($sql));
  
  if ( stristr($sql,"insert into netjuke_users") ) { 

    $sql = str_replace ("'sys_admin_userField'", "'".$sys_admin_userField."'", $sql);
    $sql = str_replace ("'sys_admin_pass2Field'", "'".encode_passwd($sys_admin_pass2Field)."'", $sql);

  } elseif ( stristr($sql,"insert into netjuke_userprefs") ) { 

    $sql = str_replace ("'sys_admin_userField'", "'".$sys_admin_userField."'", $sql);

  }
  
  if ( !($dbconn->Execute($sql)) ) alert(ADMINST_ERR_EXEC."\\n".rawurlencode(substr($sql,0,30))."...");

}

// if no value for theme selection, assume false
if ($user_themesField == '') $user_themesField = 'f';

// print the appropriate http headers
header( "Content-Disposition: attachment; filename=inc-prefs.php" ); 
header( "Content-type: text/plain" );

echo "<"."?\r\n";

?>

// <?= ADMINST_FILEINFO_1 . ": " . date("Y-m-d @ H:i:s") .  " " . ADMINST_FILEINFO_2 . " $REMOTE_ADDR\n" ?>
// <?= ADMINST_FILEINFO_3 . ": " . $web_pathField."/etc/inc-prefs.php\n" ?>

define(  "SECURITY_MODE", 1.2  );

define(  "FS_PATH", "<?= $fs_pathField ?>"  );
define(  "WEB_PATH", "<?= $web_pathField ?>"  );

define(  "ADODB_PATH", "<?= $fs_pathField ?>/lib/adodb/adodb.inc.php"  );

define(  "DB_TYPE", "<?= $db_typeField ?>"  );
define(  "DB_HOST", "<?= $db_hostField ?>"  );
define(  "DB_USER", "<?= $db_userField ?>"  );
define(  "DB_PASS", "<?= encode_passwd($db_passField) ?>"  );
define(  "DB_NAME", "<?= $db_nameField ?>"  );

define(  "STREAM_SRVR", "<?= $stream_srvrField ?>"  );
define(  "MUSIC_DIR", "<?= $music_dirField ?>"  );
define(  "REAL_ONLY", "f"  );

define(  "PLAYLIST_DIR", "/admin/tabfile-import"  );
define(  "PLAYLIST_BCKP_DIR", "/admin/tabfile-backup"  );

define(  "INTERFACE_HEADER", "<?= $fs_pathField ?>/lib/inc-header.php"  );
define(  "INTERFACE_FOOTER", "<?= $fs_pathField ?>/lib/inc-footer.php"  );

define(  "CUSTOM_HEADER", "<?= $fs_pathField ?>/etc/inc-header.html"  );
define(  "CUSTOM_FOOTER", "<?= $fs_pathField ?>/etc/inc-footer.html"  );

define(  "RES_PER_PAGE", 30  );

define(  "LANG_PACK", "<?= $lang_packField ?>"  );
define(  "LANG_CHARSET", "iso-8859-1"  );

define(  "USER_THEMES", "<?= $user_themesField ?>"  );
define(  "INV_ICN", "f"  );

define(  "DEFAULT_BGCOLOR", "FFFFFF"  );
define(  "DEFAULT_TEXT", "000000"  );
define(  "DEFAULT_LINK", "0000FF"  );
define(  "DEFAULT_ALINK", "333333"  );
define(  "DEFAULT_VLINK", "9900CC"  );
define(  "DEFAULT_TD_BORDER", "666666"  );
define(  "DEFAULT_TD_HEADER", "9999CC"  );
define(  "DEFAULT_TD_HEADER_FC", "EEEEEE"  );
define(  "DEFAULT_TD_CONTENT", "EEEEEE"  );
define(  "DEFAULT_FONT_FACE", "Verdana, Geneva, Arial, Helvetica, sans-serif"  );
define(  "DEFAULT_FONT_SIZE", "11"  );

define(  "ENABLE_COMMUNITY", "t"  );

<?

echo "\r\n?".">";


########################################

function alert ($msg) {
   
  echo "
   <HTML>
   <SCRIPT LANGUAGE=\"Javascript\">
   <!--
     alert(\"$msg\");
     self.history.go(-1);
   //-->
   </SCRIPT>
   </HTML>
  ";

  exit;

}

########################################

function encode_passwd($str) {
   
   # nothing much given we're in an open-source environment anyway...
   # Just enough to keep honest people honest. ;o)
   return rawurlencode(base64_encode($str));

}

########################################

?>