<?

require_once('./lib/inc-common.php');
require_once(FS_PATH."/etc/locale/".LANG_PACK."/inc-filter.php");

switch ($do) {
  case 'list.artists':
    $table_1 = 'netjuke_artists ar';
    $col_title = FILTER_ARTISTS;
    break;
  case 'list.albums':
    $table_1 = 'netjuke_albums al';
    $col_title = FILTER_ALBUMS;
    break;
  default:
    $do = 'list.genres';
    $table_1 = 'netjuke_genres ge';
    $col_title = FILTER_GENRES;
}

$col_prefix_1 = substr($do,5,2);

if (abs($val) > 0) {
  $clause_1 = $col." = ".$val;
} else {
  $clause_1 = "lower(".$col.") like '%".strtolower($val)."%'";
}

switch (substr($col,0,2)) {
  case 'tr':
    $table_2 = 'netjuke_tracks tr';
    break;
  case 'ar':
    $table_2 = 'netjuke_artists ar';
    break;
  case 'al':
    $table_2 = 'netjuke_albums al';
    break;
  default:
    $table_2 = 'netjuke_genres ge';
}

$col_prefix_2 = substr($table_2,8,2);

if (($table_2 != 'netjuke_tracks tr') && ($table_2 != $table_1)) {

  $table_2 = ', '.$table_2;
  $clause_2 = ' and tr.'.$col_prefix_2.'_id = '.$col_prefix_2.'.id';

} else {

  $table_2 = '';
  $clause_2 = '';

}

$sql = " select tr.".$col_prefix_1."_id, ".$col_prefix_1.".name, count(tr.id)"
     . " from netjuke_tracks tr, ".$table_1.$table_2
     . " where tr.".$col_prefix_1."_id = ".$col_prefix_1.".id"
     . " ".$clause_2." and ".$clause_1
     . " group by tr.".$col_prefix_1."_id, ".$col_prefix_1.".name"
     . " order by ".$col_prefix_1.".name";

$dbrs = $dbconn->Execute($sql);

$cnt = 1;
   
$rows = $dbrs->RecordCount();
   
while (!$dbrs->EOF) {

  $html .= "<tr><td width='5%' class='content' align=right valign=top>".$cnt."</td>"
        .  "<td width='90%' class='content' align=left valign=top>"
        .  "<a href='search.php?do=$search_do&col=$col&val=$val&sort=".$col_prefix_1."&filter=".$col_prefix_1."_id=".$dbrs->fields[0]
        .  "' target='NetjukeMain'>".format_for_display($dbrs->fields[1])."</a></td>"
        .  "<td width='5%' class='content' align=center valign=top>".$dbrs->fields[2]."</td></tr>\n";

  $cnt++;
      
  $dbrs->MoveNext();

}

?>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN"
			"http://www.w3.org/TR/REC-html40/loose.dtd">

<HTML>
<HEAD>
	<TITLE><?= FILTER_HEADER ?>: <?=$col_title?>: <?=$rows?> <?= FILTER_FOUND ?></TITLE>
	<link rel="Stylesheet" href="<?=WEB_PATH?>/lib/inc-css.php?<?=time()?>" type="text/css">
	<script src="<?=WEB_PATH?>/lib/inc-jscript.php" type="text/javascript" language="Javascript"><!-- //--></script>
</HEAD>
<BODY BGCOLOR='#<?=$NETJUKE_SESSION_VARS["bgcolor"]?>' TEXT='#<?=$NETJUKE_SESSION_VARS["text"]?>' LINK='#<?=$NETJUKE_SESSION_VARS["link"]?>' ALINK='#<?=$NETJUKE_SESSION_VARS["alink"]?>' VLINK='#<?=$NETJUKE_SESSION_VARS["vlink"]?>' ONLOAD='self.focus();'>
	<a name="PageTop"></a>
	<div align=center>
		<table width='100%' border=0 cellspacing=1 cellpadding=3 class='border'>
			<tr>
				<td width="90%" class="header" align=left colspan=2><b><?= FILTER_HEADER ?>: <?=$col_title?>: <?=$rows?> <?= FILTER_FOUND ?></b></td>
				<td width="10%" class="header"><b><?= FILTER_TRACKS ?></b></td>
			</tr>
			<?=$html?>
		</table>
		<br>
		<table width='100%' border=0 cellspacing=1 cellpadding=3 class="border">
			<tr>
				<td width="50%" align="center" class="content"><a href="#PageTop" title="<?= FILTER_PAGETOP_HELP ?>"><b><?= FILTER_PAGETOP ?></b></a></td>
				<td width="50%" align="center" class="content"><a href="javascript:window.close();" title="<?= FILTER_CLOSEWIN_HELP ?>"><b><?= FILTER_CLOSEWIN ?></b></a></td>
			</tr>
		</table>
	<div>
</BODY>
</HTML>
