<?

# CALL COMMON LIBRARIES

require_once('./lib/inc-common.php');
require_once(FS_PATH."/etc/locale/".LANG_PACK."/inc-index.php");

# HTML HEADER

  $section = "browse";
  include (INTERFACE_HEADER);

# GET TABLE STATS

  $dbrs = $dbconn->Execute("select count(id) from netjuke_tracks");
  $tr_cnt = $dbrs->fields[0];
  $dbrs->Close();

  $dbrs = $dbconn->Execute("select count(id) from netjuke_artists");
  $ar_cnt = $dbrs->fields[0];
  $dbrs->Close();

  $dbrs = $dbconn->Execute("select count(id) from netjuke_albums");
  $al_cnt = $dbrs->fields[0];
  $dbrs->Close();

  $dbrs = $dbconn->Execute("select count(id) from netjuke_genres");
  $ge_cnt = $dbrs->fields[0];
  $dbrs->Close();


# GENRE TABLE

  $ge_html = '';

  $dbrs = $dbconn->Execute("SELECT id, name ".
                           "from netjuke_genres ".
                           "order by name asc " );

  $cnt = $row_cnt = 0;

  while (!$dbrs->EOF) {
    
    if ($cnt % 3 == 0) {
      $ge_html .= "<TR>\n";
      $row_cnt++;
    }
    
    $ge_id = $dbrs->fields[0];
    $ge_name = format_for_display($dbrs->fields[1]);
    
    $ge_html .= "
      <td class='content' width='33%'>
        <A HREF='search.php?do=list.tracks&col=ge_id&val=$ge_id&sort=ge' title=\"".BRWS_GE_HELP."\">$ge_name</A>
      </td>\n
    ";
    
    if (($cnt + 1) % 3 == 0) $ge_html .= "</TR>\n";
    
    $dbrs->MoveNext();
    
    $cnt++;
  
  }

  $dbrs->Close();

  if ( ($cnt + 2) % 3 == 0 ) {
    
    $ge_html .= "<td class='content' nowrap>&nbsp;</td>\n";
    $ge_html .= "<td class='content' nowrap>&nbsp;</td>\n";
    $ge_html .= "</tr>";
  
  } elseif ( ($cnt + 1) % 3 == 0 ) {
    
    $ge_html .= "<td class='content' nowrap>&nbsp;</td>\n";
    $ge_html .= "</tr>\n";
  
  }
  
  $row_cnt = $row_cnt;
  if (abs($row_cnt) < 5) $row_cnt = 5;


# ARTISTS TABLE

  $ar_html = '';
  
  $dbrs = $dbconn->SelectLimit(  "SELECT id, name "
                               . "from netjuke_artists "
                               . "order by id desc "
                               , $row_cnt );

  while (!$dbrs->EOF) {
    
    $ar_html .= "<TR><td class='content'>"
             .  "<A HREF='search.php?do=list.tracks&col=ar_id&val=".$dbrs->fields[0]."&sort=ar' title=\"".BRWS_AR_HELP."\">"
             .  format_for_display($dbrs->fields[1])
             .  "</A>&nbsp;</td></tr>";
    
    $dbrs->MoveNext();

  }

  $dbrs->Close();


# ALBUM TABLE

  $al_html = '';
  
  $dbrs = $dbconn->SelectLimit(  "SELECT id, name "
                               . "from netjuke_albums "
                               . "order by id desc "
                               , $row_cnt );

  while (!$dbrs->EOF) {
    
    $al_html .= "<TR><td class='content'>"
             .  "<A HREF='search.php?do=list.tracks&col=al_id&val=".$dbrs->fields[0]."&sort=al' title=\"".BRWS_AL_HELP."\">"
             .  format_for_display($dbrs->fields[1])
             .  "</A>&nbsp;</td></tr>";
    
    $dbrs->MoveNext();

  }

  $dbrs->Close();

  $dbconn->Close();

?>

    <table width='100%' border=0 cellspacing=0 cellpadding=0>
      <tr>
       <td width="25%" align='left' valign='top' nowrap>

           <table width='95%' height="100%" border=0 cellspacing=1 cellpadding=3 class="border">
           <form action='search.php' method=get name='searchForm'>
           <input type=hidden name='do' value='search'>
           <tr>
             <td class="header" nowrap><B><?= BRWS_QS_HEADER ?></B></td>
           </tr>
           <tr>
             <td class="content" align=center nowrap align=center>
               <select name='col' style="margin-bottom: 2px;" class=input_content>
                 <option value='ar.name'><?= BRWS_QS_OPT_AR ?></option>
                 <option value='tr.name'><?= BRWS_QS_OPT_TR ?></option>
                 <option value='al.name'><?= BRWS_QS_OPT_AL ?></option>
                 <option value='ge.name'><?= BRWS_QS_OPT_GE ?></option>
                 <option value='tr.time'><?= BRWS_QS_OPT_TI ?></option>
               </select>
               <br>
               <input type=text name='val' size='18' maxlength='50' value='' class=input_content>
               <input type=submit value='<?= BRWS_QS_BTN ?>' class='btn_content'> 
             </td>
           </tr>
           </form>
           </table>

       </td>
       <td width="25%" align='right' valign='top' nowrap>

           <table width='95%' height="100%" border=0 cellspacing=1 cellpadding=3 class="border">
           <tr>
             <td class="header" nowrap colspan=4><B><?= BRWS_SUMM_HEADER ?></B></td>
           </tr>
           <tr>
             <td class="content" align=center nowrap><?=$tr_cnt?> <?= BRWS_SUMM_TR ?></td>
             <td class="content" align=center nowrap><?=$ar_cnt?> <?= BRWS_SUMM_AR ?></td>
           </tr>
           <tr>
             <td class="content" align=center nowrap><?=$al_cnt?> <?= BRWS_SUMM_AL ?></td>
             <td class="content" align=center nowrap><?=$ge_cnt?> <?= BRWS_SUMM_GE ?></td>
            </td>
           </tr>
           </table>

       </td>
       <td width="25%" rowspan="2" align='right' valign='top'>

        <table width='90%' border=0 cellspacing=1 cellpadding=3 class="border">
        <tr>
          <td class="header" nowrap><B><?= BRWS_ALPHA_AR_HEADER ?> A-Z</B> (<?= $ar_cnt ?>)</td>
        </tr>
        <tr>
          <td class="content" align="center">
            <?= alphabet('artists') ?>
          </td>
        </tr>
        </table>
        
        <br>

        <table width='90%' border=0 cellspacing=1 cellpadding=3 class="border">
        <tr>
          <td class="header" nowrap><B><?= BRWS_AR_HEADER ?></B></td>
        </tr>

        <?= $ar_html ?>

        </table>

       </td>
       <td width="25%" rowspan="2" align='right' valign='top'>

        <table width='90%' border=0 cellspacing=1 cellpadding=3 class="border">
        <tr>
          <td class="header" nowrap><B><?= BRWS_ALPHA_AL_HEADER ?> A-Z</B> (<?= $al_cnt ?>)</td>
        </tr>
        <tr>
          <td class="content" align="center">
            <?= alphabet('albums') ?>
          </td>
        </tr>
        </table>
        
        <br>

        <table width='90%' border=0 cellspacing=1 cellpadding=3 class="border">
        <tr>
          <td class="header" nowrap><B><?= BRWS_AL_HEADER ?></B></td>
        </tr>

        <?= $al_html ?>

        </table>

       </td>
     </tr>
     <tr>
       <td width="50%" colspan="2" align='left' valign='top' nowrap>
        
         <BR>

         <table width='100%' border=0 cellspacing=1 cellpadding=3 class="border">
         <tr>
           <td class="header" colspan=3 nowrap><B><?= BRWS_GE_HEADER ?></B> (<?= $ge_cnt ?>)</td>
         </tr>

         <?= $ge_html ?>

         </table>

       </td>
    </tr>
  </table>

<? 

  # HTML footer 
  include (INTERFACE_FOOTER);

?>
