<?

########################################

GLOBAL $dbconn, $NETJUKE_SESSION_VARS;

########################################

$path_to_prefs = "etc/inc-prefs.php";

if (!file_exists($path_to_prefs)) {
  
  $cnt = 0; // used by failsafe below
  
  while (!file_exists($path_to_prefs)) {

    if ($cnt >= 10) break;  // failsafe in case of infinite loop...

    $path_to_prefs = "../".$path_to_prefs;

    $cnt++; // used by above failsafe

  }

}

require_once($path_to_prefs);

########################################

require_once(ADODB_PATH);

$dbconn = &ADONewConnection(DB_TYPE);

# define if we can use persistent connections
# for the selected database type
switch (strtolower(DB_TYPE)) {
  case "postgres":
    if (get_cfg_var("pgsql.allow_persistent") == 1) $persistent = 1;
    break;
  case "postgres7":
    if (get_cfg_var("pgsql.allow_persistent") == 1) $persistent = 1;
    break;
  case "mysql":
    if (get_cfg_var("mysql.allow_persistent") == 1) $persistent = 1;
    break;
}

# connect using PConnect or Connect and print error if any.
if ($persistent == 1) {
  if ($dbconn->PConnect(DB_HOST,DB_USER,decode_passwd(DB_PASS),DB_NAME) != true) echo "can't connect to ".DB_HOST;
} else {
  if ($dbconn->PConnect(DB_HOST,DB_USER,decode_passwd(DB_PASS),DB_NAME) != true) echo "can't connect to ".DB_HOST;
}

########################################

netjuke_session('select');

if (count($NETJUKE_SESSION_VARS) == 1) {
  netjuke_session('insert');
  netjuke_session('select');
}

########################################
  
switch (abs(substr(SECURITY_MODE,0,1))) {

  case 1:

    if ($NETJUKE_SESSION_VARS["user_email"] == "") {

      if (    (substr($SCRIPT_NAME,-9) != 'login.php')
           && (substr($SCRIPT_NAME,-11) != 'account.php')
           && (substr($SCRIPT_NAME,-11) != 'inc-css.php')
           && (substr($SCRIPT_NAME,-15) != 'inc-jscript.php') ) {
        
        if (    (substr($SCRIPT_NAME,-8) == 'play.php')
             && ($do == 'dispatch') ) {
             
           break;

        } else {
        
           header ("Location: ".WEB_PATH."/login.php");
           exit;
        
        }
      
      } elseif (    (abs(substr(SECURITY_MODE,2,1)) > 0)
                 && (substr($SCRIPT_NAME,-11) == 'account.php')
                 && ($do != 'login') ) {
        
         header ("Location: ".WEB_PATH."/login.php");
         exit;
        
      }

    }

    break;

}

########################################

# INCLUDE APPROPRIATE LANGUAGE PACK

require_once(FS_PATH."/etc/locale/".LANG_PACK."/inc-lib_inc-common.php");

########################################

# CHECK FOR ENVIRONMENT

if (    (strlen($NETJUKE_SESSION_VARS["bgcolor"]) != 6) 
     || (strlen(USER_THEMES)  != 1) ) {

  $NETJUKE_SESSION_VARS["bgcolor"]       = DEFAULT_BGCOLOR;
  $NETJUKE_SESSION_VARS["text"]          = DEFAULT_TEXT;
  $NETJUKE_SESSION_VARS["link"]          = DEFAULT_LINK;
  $NETJUKE_SESSION_VARS["alink"]         = DEFAULT_ALINK;
  $NETJUKE_SESSION_VARS["vlink"]         = DEFAULT_VLINK;
  $NETJUKE_SESSION_VARS["td_border"]     = DEFAULT_TD_BORDER;
  $NETJUKE_SESSION_VARS["td_header"]     = DEFAULT_TD_HEADER;
  $NETJUKE_SESSION_VARS["td_header_fc"]  = DEFAULT_TD_HEADER_FC;
  $NETJUKE_SESSION_VARS["td_content"]    = DEFAULT_TD_CONTENT;
  $NETJUKE_SESSION_VARS["font_face"]     = DEFAULT_FONT_FACE;
  $NETJUKE_SESSION_VARS["font_size"]     = DEFAULT_FONT_SIZE;
  $NETJUKE_SESSION_VARS["inv_icn"]       = INV_ICN;

  if (    ($NETJUKE_SESSION_VARS["user_email"] != "")
       && (USER_THEMES != 'f') ) {
    
    $from = "netjuke_userprefs";
    $where = "us_email = '".$NETJUKE_SESSION_VARS["user_email"]. "'";
  
    $dbrs = $dbconn->Execute( " SELECT bgcolor, text, link"
                            . " , alink, vlink, td_border"
                            . " , td_header, td_header_fc, td_content"
                            . " , font_face, font_size, inv_icn"
                            . " FROM ".$from
                            . " WHERE ".$where );

    $NETJUKE_SESSION_VARS["bgcolor"] = $dbrs->fields[0];
    $NETJUKE_SESSION_VARS["text"] = $dbrs->fields[1];
    $NETJUKE_SESSION_VARS["link"] = $dbrs->fields[2];
    $NETJUKE_SESSION_VARS["alink"] = $dbrs->fields[3];
    $NETJUKE_SESSION_VARS["vlink"] = $dbrs->fields[4];
    $NETJUKE_SESSION_VARS["td_border"] = $dbrs->fields[5];
    $NETJUKE_SESSION_VARS["td_header"] = $dbrs->fields[6];
    $NETJUKE_SESSION_VARS["td_header_fc"]  = $dbrs->fields[7];
    $NETJUKE_SESSION_VARS["td_content"] = $dbrs->fields[8];
    $NETJUKE_SESSION_VARS["font_face"] = $dbrs->fields[9];
    $NETJUKE_SESSION_VARS["font_size"] = $dbrs->fields[10];
    $NETJUKE_SESSION_VARS["inv_icn"] = $dbrs->fields[11];

  }
  
  netjuke_session('update');

}

########################################

# Define site icons

$ICONS = array( 'play'   => ''
              , 'info'   => ''
              , 'filter' => ''
              , 'artist' => ''
              , 'album'  => ''
              , 'genre'  => '' );

foreach ($ICONS as $key => $value) {
  if ($NETJUKE_SESSION_VARS["inv_icn"] == 't') {
    $ICONS[$key] = WEB_PATH.str_replace("//","/",'/etc/locale/'.strtolower(LANG_PACK).'/icon.' . $key . '.inv.gif');
    //echo "DEBUG: key: \"$key\" - value = \"$value\" - ICONS[\"$key\"] = \"$ICONS[$key]\"<br>\n";
  } else {
    $ICONS[$key] = WEB_PATH.str_replace("//","/",'/etc/locale/'.strtolower(LANG_PACK).'/icon.' . $key . '.gif');
    //echo "DEBUG: key: \"$key\" - value = \"$value\" - ICONS[\"$key\"] = \"$ICONS[$key]\"<br>\n";
  }
}

########################################

function netjuke_session ($do) {

  GLOBAL $dbconn, $NETJUKE_SESSION_VARS, $NETJUKE_SESSION_ID;
  
  if (strlen($NETJUKE_SESSION_ID) != 32) {

    srand((double)microtime()*1000000);
    $NETJUKE_SESSION_ID = md5(rand(0,9999999));
    setcookie ('NETJUKE_SESSION_ID', $NETJUKE_SESSION_ID);

  }
  
  $NETJUKE_SESSION_VARS['session_id'] = $NETJUKE_SESSION_ID;
  
  switch ($do) {

    case "insert":
      $NETJUKE_SESSION_VARS["gr_id"] = 4; // assumes anonymous @ session start
      $NETJUKE_SESSION_VARS['date_created'] = date("Y-m-d H:i:s");
      $NETJUKE_SESSION_VARS['date_updated'] = date("Y-m-d H:i:s");
      $cols = $vals = array();
      foreach ($NETJUKE_SESSION_VARS as $key => $value) {
        array_push($cols, $key);
        array_push($vals, $value);
      }
      $sql = "insert into netjuke_sessions (".join(",",$cols).") values ('".join("','",$vals)."')";
      $dbconn->Execute($sql);
      break;

    case "update":
      $NETJUKE_SESSION_VARS['date_updated'] = date("Y-m-d H:i:s");
      $update = array();
      foreach ($NETJUKE_SESSION_VARS as $key => $value) {
        array_push($update, $key." = '".$value."'");
      }
      $sql = "update netjuke_sessions set ".join(",",$update)." where session_id = '".$NETJUKE_SESSION_VARS['session_id']."'";
      $dbconn->Execute($sql);
      break;

    case "delete":
      $sql = "delete from netjuke_sessions where session_id = '".$NETJUKE_SESSION_VARS['session_id']."'";
      $dbconn->Execute($sql);
      $NETJUKE_SESSION_VARS = "";
      setcookie ('NETJUKE_SESSION_ID', 0);
      # purges the netjuke_sessions table of all sessions that are
      # older than (now - 24hrs), and that have not been handled by
      # the above netjuke_session('delete').
      $dbconn->Execute( " delete from netjuke_sessions where date_created < '".date("Y-m-d",(time - (3600 * 24)))."' " );
      break;

    default:
      $sql = "select * from netjuke_sessions where session_id = '".$NETJUKE_SESSION_VARS['session_id']."'";
      $dbrs = $dbconn->Execute($sql);
      if ($dbrs->RecordCount() == 1) {
        $fields = $dbrs->GetRowAssoc();
        foreach ($fields as $name => $value) {
          $NETJUKE_SESSION_VARS[strtolower($name)] = $value;
        }
      }
      
  }

  //echo $sql;

}

########################################

function alphabet($type) {

   if ($type == 'artists') {
     $type_help = COMMON_ALPHABET_AR_HELP;
   } else {
     $type == 'albums';
     $type_help = COMMON_ALPHABET_AL_HELP;
   }
   
   return "
          <table border=0 cellpadding=0 cellspacing=0><tr><td nowrap>
          <code>
            <a href=\"javascript:void(0);\" onClick=\"window.open('alphabet.php?do=alpha.".$type."&val=A','NetJukeRemote','width=400,height=450,top=25,left=25,menubar=no,scrollbars=yes,resizable=yes');\" title=\"".$type_help." A\">A</a>
            <a href=\"javascript:void(0);\" onClick=\"window.open('alphabet.php?do=alpha.".$type."&val=B','NetJukeRemote','width=400,height=450,top=25,left=25,menubar=no,scrollbars=yes,resizable=yes');\" title=\"".$type_help." B\">B</a>
            <a href=\"javascript:void(0);\" onClick=\"window.open('alphabet.php?do=alpha.".$type."&val=C','NetJukeRemote','width=400,height=450,top=25,left=25,menubar=no,scrollbars=yes,resizable=yes');\" title=\"".$type_help." C\">C</a>
            <a href=\"javascript:void(0);\" onClick=\"window.open('alphabet.php?do=alpha.".$type."&val=D','NetJukeRemote','width=400,height=450,top=25,left=25,menubar=no,scrollbars=yes,resizable=yes');\" title=\"".$type_help." D\">D</a>
            <a href=\"javascript:void(0);\" onClick=\"window.open('alphabet.php?do=alpha.".$type."&val=E','NetJukeRemote','width=400,height=450,top=25,left=25,menubar=no,scrollbars=yes,resizable=yes');\" title=\"".$type_help." E\">E</a>
            <a href=\"javascript:void(0);\" onClick=\"window.open('alphabet.php?do=alpha.".$type."&val=F','NetJukeRemote','width=400,height=450,top=25,left=25,menubar=no,scrollbars=yes,resizable=yes');\" title=\"".$type_help." F\">F</a>
            <a href=\"javascript:void(0);\" onClick=\"window.open('alphabet.php?do=alpha.".$type."&val=G','NetJukeRemote','width=400,height=450,top=25,left=25,menubar=no,scrollbars=yes,resizable=yes');\" title=\"".$type_help." G\">G</a>
            <a href=\"javascript:void(0);\" onClick=\"window.open('alphabet.php?do=alpha.".$type."&val=H','NetJukeRemote','width=400,height=450,top=25,left=25,menubar=no,scrollbars=yes,resizable=yes');\" title=\"".$type_help." H\">H</a>
            <a href=\"javascript:void(0);\" onClick=\"window.open('alphabet.php?do=alpha.".$type."&val=I','NetJukeRemote','width=400,height=450,top=25,left=25,menubar=no,scrollbars=yes,resizable=yes');\" title=\"".$type_help." I\">I</a>
            <a href=\"javascript:void(0);\" onClick=\"window.open('alphabet.php?do=alpha.".$type."&val=J','NetJukeRemote','width=400,height=450,top=25,left=25,menubar=no,scrollbars=yes,resizable=yes');\" title=\"".$type_help." J\">J</a>
            <a href=\"javascript:void(0);\" onClick=\"window.open('alphabet.php?do=alpha.".$type."&val=K','NetJukeRemote','width=400,height=450,top=25,left=25,menubar=no,scrollbars=yes,resizable=yes');\" title=\"".$type_help." K\">K</a>
            <a href=\"javascript:void(0);\" onClick=\"window.open('alphabet.php?do=alpha.".$type."&val=L','NetJukeRemote','width=400,height=450,top=25,left=25,menubar=no,scrollbars=yes,resizable=yes');\" title=\"".$type_help." L\">L</a>
            <br>
            <a href=\"javascript:void(0);\" onClick=\"window.open('alphabet.php?do=alpha.".$type."&val=M','NetJukeRemote','width=400,height=450,top=25,left=25,menubar=no,scrollbars=yes,resizable=yes');\" title=\"".$type_help." M\">M</a>
            <a href=\"javascript:void(0);\" onClick=\"window.open('alphabet.php?do=alpha.".$type."&val=N','NetJukeRemote','width=400,height=450,top=25,left=25,menubar=no,scrollbars=yes,resizable=yes');\" title=\"".$type_help." N\">N</a>
            <a href=\"javascript:void(0);\" onClick=\"window.open('alphabet.php?do=alpha.".$type."&val=O','NetJukeRemote','width=400,height=450,top=25,left=25,menubar=no,scrollbars=yes,resizable=yes');\" title=\"".$type_help." O\">O</a>
            <a href=\"javascript:void(0);\" onClick=\"window.open('alphabet.php?do=alpha.".$type."&val=P','NetJukeRemote','width=400,height=450,top=25,left=25,menubar=no,scrollbars=yes,resizable=yes');\" title=\"".$type_help." P\">P</a>
            <a href=\"javascript:void(0);\" onClick=\"window.open('alphabet.php?do=alpha.".$type."&val=Q','NetJukeRemote','width=400,height=450,top=25,left=25,menubar=no,scrollbars=yes,resizable=yes');\" title=\"".$type_help." Q\">Q</a>
            <a href=\"javascript:void(0);\" onClick=\"window.open('alphabet.php?do=alpha.".$type."&val=R','NetJukeRemote','width=400,height=450,top=25,left=25,menubar=no,scrollbars=yes,resizable=yes');\" title=\"".$type_help." R\">R</a>
            <a href=\"javascript:void(0);\" onClick=\"window.open('alphabet.php?do=alpha.".$type."&val=S','NetJukeRemote','width=400,height=450,top=25,left=25,menubar=no,scrollbars=yes,resizable=yes');\" title=\"".$type_help." S\">S</a>
            <a href=\"javascript:void(0);\" onClick=\"window.open('alphabet.php?do=alpha.".$type."&val=T','NetJukeRemote','width=400,height=450,top=25,left=25,menubar=no,scrollbars=yes,resizable=yes');\" title=\"".$type_help." T\">T</a>
            <a href=\"javascript:void(0);\" onClick=\"window.open('alphabet.php?do=alpha.".$type."&val=U','NetJukeRemote','width=400,height=450,top=25,left=25,menubar=no,scrollbars=yes,resizable=yes');\" title=\"".$type_help." U\">U</a>
            <a href=\"javascript:void(0);\" onClick=\"window.open('alphabet.php?do=alpha.".$type."&val=V','NetJukeRemote','width=400,height=450,top=25,left=25,menubar=no,scrollbars=yes,resizable=yes');\" title=\"".$type_help." V\">V</a>
            <a href=\"javascript:void(0);\" onClick=\"window.open('alphabet.php?do=alpha.".$type."&val=W','NetJukeRemote','width=400,height=450,top=25,left=25,menubar=no,scrollbars=yes,resizable=yes');\" title=\"".$type_help." W\">W</a>
            <a href=\"javascript:void(0);\" onClick=\"window.open('alphabet.php?do=alpha.".$type."&val=X','NetJukeRemote','width=400,height=450,top=25,left=25,menubar=no,scrollbars=yes,resizable=yes');\" title=\"".$type_help." X\">X</a>
            <br>
            <a href=\"javascript:void(0);\" onClick=\"window.open('alphabet.php?do=alpha.".$type."&val=Y','NetJukeRemote','width=400,height=450,top=25,left=25,menubar=no,scrollbars=yes,resizable=yes');\" title=\"".$type_help." Y\">Y</a>
            <a href=\"javascript:void(0);\" onClick=\"window.open('alphabet.php?do=alpha.".$type."&val=Z','NetJukeRemote','width=400,height=450,top=25,left=25,menubar=no,scrollbars=yes,resizable=yes');\" title=\"".$type_help." Z\">Z</a>
            <a href=\"javascript:void(0);\" onClick=\"window.open('alphabet.php?do=alpha.".$type."&val=1','NetJukeRemote','width=400,height=450,top=25,left=25,menubar=no,scrollbars=yes,resizable=yes');\" title=\"".$type_help." 1\">1</a>
            <a href=\"javascript:void(0);\" onClick=\"window.open('alphabet.php?do=alpha.".$type."&val=2','NetJukeRemote','width=400,height=450,top=25,left=25,menubar=no,scrollbars=yes,resizable=yes');\" title=\"".$type_help." 2\">2</a>
            <a href=\"javascript:void(0);\" onClick=\"window.open('alphabet.php?do=alpha.".$type."&val=3','NetJukeRemote','width=400,height=450,top=25,left=25,menubar=no,scrollbars=yes,resizable=yes');\" title=\"".$type_help." 3\">3</a>
            <a href=\"javascript:void(0);\" onClick=\"window.open('alphabet.php?do=alpha.".$type."&val=4','NetJukeRemote','width=400,height=450,top=25,left=25,menubar=no,scrollbars=yes,resizable=yes');\" title=\"".$type_help." 4\">4</a>
            <a href=\"javascript:void(0);\" onClick=\"window.open('alphabet.php?do=alpha.".$type."&val=5','NetJukeRemote','width=400,height=450,top=25,left=25,menubar=no,scrollbars=yes,resizable=yes');\" title=\"".$type_help." 5\">5</a>
            <a href=\"javascript:void(0);\" onClick=\"window.open('alphabet.php?do=alpha.".$type."&val=6','NetJukeRemote','width=400,height=450,top=25,left=25,menubar=no,scrollbars=yes,resizable=yes');\" title=\"".$type_help." 6\">6</a>
            <a href=\"javascript:void(0);\" onClick=\"window.open('alphabet.php?do=alpha.".$type."&val=7','NetJukeRemote','width=400,height=450,top=25,left=25,menubar=no,scrollbars=yes,resizable=yes');\" title=\"".$type_help." 7\">7</a>
            <a href=\"javascript:void(0);\" onClick=\"window.open('alphabet.php?do=alpha.".$type."&val=8','NetJukeRemote','width=400,height=450,top=25,left=25,menubar=no,scrollbars=yes,resizable=yes');\" title=\"".$type_help." 8\">8</a>
            <a href=\"javascript:void(0);\" onClick=\"window.open('alphabet.php?do=alpha.".$type."&val=9','NetJukeRemote','width=400,height=450,top=25,left=25,menubar=no,scrollbars=yes,resizable=yes');\" title=\"".$type_help." 9\">9</a>
            <a href=\"javascript:void(0);\" onClick=\"window.open('alphabet.php?do=alpha.".$type."&val=0','NetJukeRemote','width=400,height=450,top=25,left=25,menubar=no,scrollbars=yes,resizable=yes');\" title=\"".$type_help." A\">0</a>
          </code>
          </td></tr></table>
   ";

}

########################################

function plistSelect ($user_email,$selected) {

  GLOBAL $dbconn;
  
  $dbrs = $dbconn->Execute("SELECT id, title FROM netjuke_plists WHERE us_email = '$user_email' order by title asc");

  $html = "<SELECT NAME='pl_id' class=input_content>";

  $html .= "<OPTION VALUE=''>".COMMON_PLISTSELECT_1."</OPTION>";

  $rows = $dbrs->RecordCount();

  if ($rows > 0) {

    $html .= "<OPTION VALUE=''>------------</OPTION>";

    while (!$dbrs->EOF) {
      
      if ($dbrs->fields[0] == $selected) {
         $indeed = "SELECTED";
      } else {
         $indeed = "";
      }
      
      $html .= "<OPTION VALUE='".$dbrs->fields[0]."' $indeed>".$dbrs->fields[1]."</OPTION>";
      
      $dbrs->MoveNext();
    
    }
    
  }
  
  $dbrs->Close();

  $html .= "</SELECT>";

  return $html;

}

########################################

  function get_pl_tracks($pl_id) {
  
    GLOBAL $dbconn;
    
    $dbrs = $dbconn->Execute("SELECT tr_id from netjuke_plists_tracks where pl_id = $pl_id");
    
    $cnt = 0;
    
    $str = '';
    
    while (!$dbrs->EOF) {
    
      if ($cnt != 0) $str .= ",";
      
      $str .= abs($dbrs->fields[0]);
      
      $dbrs->MoveNext();
      
      $cnt++;
    
    }
    
    return $str;
  
  }

########################################

function javascript ($code) {
   
  print <<<__EOS
   <HTML>
   <SCRIPT LANGUAGE="Javascript">
   <!--
     $code
   //-->
   </SCRIPT>
   </HTML>
__EOS;

}

########################################

function alert ($msg) {
   
  print <<<__EOS
   <HTML>
   <SCRIPT LANGUAGE="Javascript">
   <!--
     alert("$msg");
     self.history.go(-1);
   //-->
   </SCRIPT>
   </HTML>
__EOS;

  exit;

}

########################################

function specialUrlEncode ($str) {
   
   $str = ereg_replace ('%2F','/',rawurlencode($str));
   $str = ereg_replace ('%3A',':',$str);
   $str = ereg_replace ('%40','@',$str);
   $str = ereg_replace ('%7E','~',$str);
   
   return $str;
   
}

########################################

function raw_to_db($str) {
   
   $str = str_replace("'","\\'",$str);
   return str_replace("\\\\","\\",$str);

}

########################################

function db_to_raw($str) {
   
   return str_replace("\\","",$str);

}

########################################

function encode_passwd($str) {
   
   # nothing much given we're in an open-source environment anyway...
   # Just enough to keep honest people honest. ;o)
   return rawurlencode(base64_encode($str));

}

########################################

function decode_passwd($str) {
   
   # nothing much given we're in an open-source environment anyway...
   # Just enough to keep honest people honest. ;o)
   return base64_decode(rawurldecode($str));

}

########################################

function format_for_display($str) {
   
   return htmlentities(ucwords(strtolower($str)));

}

########################################

?>
