<?

# Call common libraries
require_once('./lib/inc-common.php');
require_once(FS_PATH."/etc/locale/".LANG_PACK."/inc-pl-edit.php");

if ($do == "addto") {
########################################
# ADD TO PLAYLIST
########################################
#  Usage:
#  - Create: pl-edit.php?do=addto&pl_id=&val=1009,1001,1975
#  - Add To: pl-edit.php?do=addto&pl_id=1000&val=1009,1001,1975
########################################

  if ($val != '') {

    if ($pl_id != '') {
    
      # do select to confirm id
      $dbrs = $dbconn->Execute("select id from netjuke_plists where id = $pl_id");
      $pl_exist = $dbrs->RecordCount();
      $dbrs->Close();
    
    }
      
    if ($pl_exist !== 1) {

      # do pl insert and get new $pl_id

      $timestamp = time;
      $date = date("Y-m-d H:i:s");
      $dbconn->Execute("insert into netjuke_plists (us_email,title,created) values ('".$NETJUKE_SESSION_VARS["user_email"]."','$timestamp','$date')");

      $dbrs = $dbconn->Execute("select id from netjuke_plists where us_email = '".$NETJUKE_SESSION_VARS["user_email"]."' and title = '$timestamp'");
      $pl_id = $dbrs->fields[0];
      $dbrs->Close();

      $dbconn->Execute("update netjuke_plists set title = 'Untitled' where id = $pl_id");

    }
      
    # insert pl_tr list using $pl_id, $user_email and $tr_id

    $id = split(",",$val);

    $dbrs = $dbconn->Execute("select max(sequence) from netjuke_plists_tracks where pl_id = $pl_id");
    $max_sequence = $dbrs->fields[0];
    $dbrs->Close();
    
    if ($max_sequence != '')  {
      $sequence = $max_sequence;
    } else {
      $sequence = 0;
    }
  
    foreach ($id as $tr_id) {

      if ($tr_id >= 1) {
         
        $sequence++;
     
        $dbconn->Execute("insert into netjuke_plists_tracks (us_email,pl_id,tr_id,sequence) values ('".$NETJUKE_SESSION_VARS["user_email"]."',$pl_id,$tr_id,$sequence)");
      
      }
    
    }
      
    # redirect to playlist using $pl_id
    
    $NETJUKE_SESSION_VARS["default_pl"] = $pl_id;
    
    netjuke_session('update');

    header ("Location: $PHP_SELF?do=edit&pl_id=$pl_id\n\n");
    exit;

  } else {

    print alert (PLEDIT_ADDTO_NOID);

  }

   exit;

} elseif ($do == "save") {
########################################
# SAVE PLAYLIST
########################################
#  Usage:
#  - Save: pl-edit.php?do=save&pl_id=1000&pl_title=value
########################################

   if (strlen($pl_id) < 1) {
     print javascript("alert('".PLEDIT_SAVE_NOID."');self.history.go(-1);");
     exit;
   }
    
   $NETJUKE_SESSION_VARS["default_pl"] = $pl_id;
   
   netjuke_session('update');
   
   if ($pl_shared != 't') $pl_shared = 'f';
   
   $dbconn->Execute("UPDATE netjuke_plists SET title = '$pl_title', shared_list = '$pl_shared' WHERE id = $pl_id");
   
   $cnt = 0;
   
   foreach ($pt_id as $this_id) {
     
     if ($seq[$cnt] == '') $seq[$cnt] = 1;
   
     $dbconn->Execute("UPDATE netjuke_plists_tracks SET sequence = $seq[$cnt] WHERE id = $this_id");

     $cnt++;
   
   }


   header ("Location: $PHP_SELF?do=edit&pl_id=$pl_id\n\n");
   exit;

} elseif ($do == "del_pl") {
########################################
# DELETE PLAYLIST
########################################
#  Usage:
#  - Delete: pl-edit.php?do=del_pl&pl_id=1000
########################################

   if (strlen($pl_id) < 1) {
     print javascript("alert('".PLEDIT_DELPL_NOID."');self.history.go(-1);");
     exit;
   }
    
   $NETJUKE_SESSION_VARS["default_pl"] = "";
   
   netjuke_session('update');

   $dbconn->Execute("DELETE FROM netjuke_plists WHERE id = $pl_id AND us_email = '".$NETJUKE_SESSION_VARS["user_email"]."'");

   $dbconn->Execute("DELETE FROM netjuke_plists_tracks WHERE pl_id = $pl_id AND us_email = '".$NETJUKE_SESSION_VARS["user_email"]."'");

   $dbconn->Execute("DELETE FROM netjuke_plists_fav WHERE pl_id = $pl_id");

   header ("Location: pl-list.php?do=list\n\n");
   exit;

} elseif ($do == "del_pt") {
########################################
# DELETE TRACKS
########################################
#  Usage:
#  - Delete: pl-edit.php?do=del_pt&pl_id=1000&val=1009,1001,1975
########################################

   if (strlen($pl_id) < 1) {
     print javascript("alert('".PLEDIT_NOPLID."');self.history.go(-1);");
     exit;
   }
    
  if ($val != '') {

    $id = split(",",$val);
  
    foreach ($id as $this_id) {

      $dbconn->Execute("delete from netjuke_plists_tracks where id = $this_id and pl_id = $pl_id and us_email = '".$NETJUKE_SESSION_VARS["user_email"]."'");

    }
    
    $dbrs = $dbconn->Execute("select id from netjuke_plists_tracks where pl_id = $pl_id and us_email = '".$NETJUKE_SESSION_VARS["user_email"]."'");

    if ($dbrs->RecordCount() == 0) {

      $dbconn->Execute("delete from netjuke_plists where id = $pl_id and us_email = '".$NETJUKE_SESSION_VARS["user_email"]."'");

      header ("Location: pl-list.php\n\n");
      exit;

    }

  } else {

    alert (PLEDIT_DELPT_NOTRID);
    exit;

  }

   header ("Location: $PHP_SELF?do=edit&pl_id=$pl_id\n\n");
   exit;

} elseif ($do == "edit") {
########################################
# EDIT PLAYLIST
########################################
#  Usage:
#  - Edit: pl-edit.php?do=edit&pl_id=1000
########################################

   if (strlen($pl_id) < 1) {
     print javascript("alert('".PLEDIT_NOPLID."');self.history.go(-1);");
     exit;
   }
    
   $NETJUKE_SESSION_VARS["default_pl"] = $pl_id;
   
   netjuke_session('update');
   
   $dbrs = $dbconn->Execute("SELECT title, comment, shared_list from netjuke_plists where id = $pl_id");

   $pl_title = $dbrs->fields[0];
   $pl_comment = $dbrs->fields[1];
   $pl_us_email = str_replace("@","-at-",$dbrs->fields[3]);
   
   if ($dbrs->fields[2] == 't') {
     $pl_shared = "CHECKED";
   } else {
     $pl_shared = "";
   }
   
   $dbrs->Close();

   $columns = array ( PLEDIT_COLS_SQ
                    , PLEDIT_COLS_TR
                    , PLEDIT_COLS_TI
                    , PLEDIT_COLS_AR
                    , PLEDIT_COLS_AL
                    , PLEDIT_COLS_TN
                    , PLEDIT_COLS_GE );

   if ( (!$sort) ||  ($sort == "sq")) {

     # SORT BY SEQUENCE #
     $sort = 'pt.sequence,tr.track_number,tr.location';
     $selected = 0;

   } elseif ($sort == "ar") {

     # SORT BY ARTIST NAME
     $sort = 'ar.name,al.name,tr.track_number,tr.location';
     $selected = 3;

   } elseif ($sort == "al") {

     # SORT BY ALBUM NAME
     $sort = 'al.name,tr.track_number,tr.location';
     $selected = 4;

   } elseif ($sort == "tr") {

     # SORT BY TRACK NAME
     $sort = 'tr.name,ar.name,al.name,tr.track_number,tr.location';
     $selected = 1;

   } elseif ($sort == "ge") {

     # SORT BY GENRE
     $sort = 'ge.name,al.name,tr.track_number,tr.location';
     $selected = 6;

   } elseif ($sort == "ti") {

     # SORT BY TIME
     $sort = 'tr.time';
     $selected = 2;

   } else {

     # SORT BY TRACK NUMBER
     $sort = 'tr.track_number,tr.location';
     $selected = 5;

   }

   $cnt = 0;
   
   while ($cnt < 7) {
     if ($cnt == $selected) $columns[$cnt] = strtoupper ($columns[$cnt]);
     $cnt++;
   }

   $sql = "
      SELECT tr.name, ar.name, al.name,ge.name, 
             tr.location, tr.id, ar.id, al.id,
             ge.id, tr.time, tr.track_number, pt.sequence, pt.id
      from netjuke_tracks tr, netjuke_artists ar, netjuke_albums al, 
           netjuke_genres ge, netjuke_plists pl, netjuke_plists_tracks pt
      where pt.pl_id = $pl_id
        and pt.us_email = '".$NETJUKE_SESSION_VARS["user_email"]."'
        and pt.pl_id = pl.id
        and pt.us_email = pl.us_email
        and tr.id = pt.tr_id
        and ar.id = tr.ar_id
        and al.id = tr.al_id
        and ge.id = tr.ge_id
      order by $sort asc
   ";
   
   $dbrs = $dbconn->Execute($sql);
   
   $rows = $dbrs->RecordCount();

   if ($rows < 1) {
     print javascript("alert('".PLEDIT_DENIED."');self.location.href='index.php';");
     exit;
   }
   
   while (!$dbrs->EOF) {

      $fields = $dbrs->fields;

      $fields[0] = format_for_display($fields[0]);
      $fields[1] = format_for_display($fields[1]);
      $fields[2] = format_for_display($fields[2]);
      $fields[3] = format_for_display($fields[3]);
      
      $select = "<input type=checkbox name='val[]' value='".$fields[5]."' title='".PLEDIT_CHCK_HELP."'>";
      $play = "<a href='./play.php?do=play&val=".$fields[5]."' title='".PLEDIT_PLAY_HELP."'><img alt='".PLEDIT_PLAY_HELP."' src='".$ICONS['play']."' border=0 width=8 height=8 align=absmiddle hspace=0 vspace=0></a>";
      $get_info = "<a href=\"javascript:void(0);\" onClick=\"window.open('tr-info.php?id=".$fields[5]."','NetJukeGetInfo','width=450,height=480,top=25,left=25,menubar=no,scrollbars=yes,resizable=yes');\" title=\"".PLEDIT_INFO_HELP."\"><img alt=\"".PLEDIT_INFO_HELP."\" src='".$ICONS['info']."' border=0 width=8 height=8 align=absmiddle hspace=0 vspace=0></a>";

      if ($fields[9] >= 0) {
        $min = (int) ($fields[9] / 60);
        $sec = ( $fields[9] - ($min * 60) );
        if (strlen($sec) == 1) $sec = '0' . $sec;
        $time = $min . ':' . $sec; 
      }
      
      $html .= "
      <tr valign=top>
      <input type=hidden name='pt_id[]' value='$fields[12]'>
        <td class='content' nowrap>$select $play $get_info</td>
        <td class='content' align=center><INPUT TYPE='text' NAME='seq[]' VALUE='$fields[11]' MAXLENGTH='3' style='text-align: right;'SIZE='3' class=input_content></td>
        <td class='content'>$fields[0]&nbsp;</td>
        <td class='content' align=right>$time&nbsp;</td>
        <td class='content'><A HREF='search.php?do=list.tracks&col=ar.id&val=$fields[6]&sort=ar' title=\"".PLEDIT_AR_HELP."\">$fields[1]</A>&nbsp;</td>
        <td class='content'><A HREF='search.php?do=list.tracks&col=al.id&val=$fields[7]&sort=al' title=\"".PLEDIT_AL_HELP."\">$fields[2]</A>&nbsp;</td>
        <td class='content' align=center>$fields[10]</td>
        <td class='content'><A HREF='search.php?do=list.tracks&col=ge.id&val=$fields[8]&sort=ge' title=\"".PLEDIT_GE_HELP."\">$fields[3]</A>&nbsp;</td>
      </tr> 
      ";
      
      $dbrs->MoveNext();

   }

   $dbrs->Close();

   # HTML header
   $section = "playlists";
   include (INTERFACE_HEADER);

########################################

?>

        <script language="javascript">
        <!--
          function deletePlist() {
            if (confirm("<?= PLEDIT_DELPL_CONFIRM ?>\n- <?=$pl_title?>")) {
              self.location.href = '<?=$PHP_SELF?>?do=del_pl&pl_id=<?=$pl_id?>';
            }
          }
          function savePlist() {
            document.playForm.pl_title.value = document.saveForm.pl_title.value;
            <? if (ENABLE_COMMUNITY == 't') { ?>
              if (document.saveForm.pl_shared.checked == true) {
                document.playForm.pl_shared.value = 't';
              } else {
                document.playForm.pl_shared.value = 'f';
              }
            <? } else { ?>
              document.playForm.pl_shared.value = 'f';
            <? } ?>
            document.playForm.submit();
          }
          function AdjustSeq() {
            var cnt = 1;
            for (var i=0;i< document.playForm.elements.length;i++) {
              if (document.playForm.elements[i].name == 'seq[]') {
                document.playForm.elements[i].value = cnt;
                cnt++;
              }
            }
          }
          function deleteTracks() {
            if (confirm('<?= PLEDIT_DELPT_CONFIRM ?>')) {
              var del_pt = '';
              for (var i=0;i<document.playForm.elements.length;i++) {
                if (document.playForm.elements[i].name == 'val[]') {
                  if (document.playForm.elements[i].checked == true) {
                    if (del_pt != '') { del_pt = del_pt + ','; }
                    del_pt = del_pt + document.playForm.elements[i-1].value
                  }
                }
              }
              if (del_pt != '') {
                top.location.href = '<?=$PHP_SELF?>?do=del_pt&pl_id=<?=$pl_id?>&val=' + del_pt;
              } else {
                alert("<?= PLEDIT_DELPT_NOTRID ?>");
              }
            }
          }
        -->
        </script>
        <table width='100%' border=0 cellspacing=1 cellpadding=3 class="border">
        <form name='saveForm' onSubmit="alert('<?= PLEDIT_MUSTCLICK ?>');return(false);">
         <tr>
           <td class="header" nowrap colspan=6>
             <TABLE BORDER="0" WIDTH="100%" CELLSPACING="0" CELLPADDING="0">
               <TR>
                 <TD ALIGN=LEFT VALIGN=MIDDLE WIDTH="75%" nowrap class="header">
                   <B><?= PLEDIT_HEADER_1 ?>:
                   <INPUT TYPE="text" NAME="pl_title" VALUE="<?=$pl_title?>" SIZE="25" MAXLENGTH="30" class=input_content>
                   <? if (ENABLE_COMMUNITY == 't') { ?>
                     <INPUT TYPE="checkbox" NAME="pl_shared" VALUE="t" <?=$pl_shared?>> <?= PLEDIT_SHRD ?>
                   <? } ?>
                 </TD>
                 <TD ALIGN=RIGHT VALIGN=MIDDLE WIDTH="25%" nowrap class="header">
                   <INPUT TYPE='button' NAME='mode' VALUE='<?= PLEDIT_BTN_SAVE ?>' class='btn_header' onClick="savePlist();">
                   <INPUT TYPE='button' NAME='mode' VALUE='<?= PLEDIT_BTN_DELETE ?>' class='btn_header' onClick="deletePlist();">
                   <INPUT TYPE='button' NAME='mode' VALUE='<?= PLEDIT_BTN_CANCEL ?>' class='btn_header' onClick="self.location.href='pl-list.php?do=list';">
                 </TD>
               </TR>
             </TABLE>
             </B>
           </td>
         </tr>
        </form>
         <tr>
           <td class="content" align=center nowrap colspan=2>
             <B><?=$rows?></B> <?= PLEDIT_ROWCNT ?>
           </td>
        <form action='search.php' method=get name='searchForm'>
        <input type=hidden name='do' value='search'>
           <td class="content" align=center nowrap colspan=2>
             <select name='col' class=input_content>
               <option value='ar.name' ><?= PLEDIT_QS_AR ?></option>
               <option value='tr.name' ><?= PLEDIT_QS_TR ?></option>
               <option value='al.name' ><?= PLEDIT_QS_AL ?></option>
               <option value='ge.name' ><?= PLEDIT_QS_GE ?></option>
               <option value='tr.time' ><?= PLEDIT_QS_TI ?></option>
             </select>
             <input type=text name='val' size='12' maxlength=50 value=''  class=input_content>
             <input type=submit value='<?= PLEDIT_QS_BTN ?>' class='btn_content'> 
           </td>
        </form>
        <form action='<?=$PHP_SELF?>' method=get name='viewForm' onSubmit="return(Plist('view'));">
        <input type=hidden name='do' value='edit'>
            <td class="content" align=center nowrap colspan=2>
            	<?= plistSelect($NETJUKE_SESSION_VARS["user_email"],$NETJUKE_SESSION_VARS["default_pl"]) ?>
            	<INPUT TYPE='submit' NAME='mode' VALUE='<?= PLEDIT_TB_PLIST_BTN ?>' class='btn_content'>
            </td>
        </form>
        </tr>
        <tr>
           <td class="content" align=center nowrap><B><A HREF="Javascript:SelectAll();" title="<?= PLEDIT_TB_SELECT_HELP ?>"><?= PLEDIT_TB_SELECT ?></A></B></td>
           <td class="content" align=center nowrap><B><A HREF="Javascript:ResetAll();" title="<?= PLEDIT_TB_RESET_HELP ?>"><?= PLEDIT_TB_RESET ?></A></B></td>
           <td class="content" align=center nowrap><B><A HREF="Javascript:Plist('play');" title="<?= PLEDIT_TB_PLAY_HELP ?>"><?= PLEDIT_TB_PLAY ?></A></B></td>
           <td class="content" align=center nowrap><B><A HREF="Javascript:deleteTracks('');" title="<?= PLEDIT_TB_DELETE_HELP ?>"><?= PLEDIT_TB_DELETE ?></A></B></td>
           <td class="content" align=center nowrap><B><A HREF="Javascript:AdjustSeq();" title="<?= PLEDIT_TB_ADJUST_HELP ?>"><?= PLEDIT_TB_ADJUST ?></A></B></td>
           <td class="content" align=center nowrap><B><A HREF="Javascript:Plist('addto');" title="<?= PLEDIT_TB_ADDTO_HELP ?>"><?= PLEDIT_TB_ADDTO ?></A></B></td>
        </tr>
        </table>

        <BR>

        <table width='100%' border=0 cellspacing=1 cellpadding=3 class="border">   
        <form action='<?=$PHP_SELF?>' method=post name='playForm'> 
        <input type=hidden name='do' value='save'>
        <input type=hidden name='pl_id' value='<?=$pl_id?>'>
        <input type=hidden name='pl_title' value="">
        <input type=hidden name='pl_shared' value="">
           <tr>
             <td class='header' width='4%' nowrap><B><?= PLEDIT_COLS_OP ?></B></td>
             <td class='header' width='4%' nowrap><B><A CLASS="header" HREF="<?=$PHP_SELF?>?do=<?=$do?>&pl_id=<?=$pl_id?>&sort=sq" title="<?= PLEDIT_COLS_SQ_HELP ?>"><?=$columns[0]?></A></B></td>
             <td class='header' width='27%' nowrap><B><A CLASS="header" HREF="<?=$PHP_SELF?>?do=<?=$do?>&pl_id=<?=$pl_id?>&sort=tr" title="<?= PLEDIT_COLS_TR_HELP ?>"><?=$columns[1]?></A></B></td>
             <td class='header' width='5%' nowrap><B><A CLASS="header" HREF="<?=$PHP_SELF?>?do=<?=$do?>&pl_id=<?=$pl_id?>&sort=ti" title="<?= PLEDIT_COLS_TI_HELP ?>"><?=$columns[2]?></A></B></td>
             <td class='header' width='20%' nowrap><B><A CLASS="header" HREF="<?=$PHP_SELF?>?do=<?=$do?>&pl_id=<?=$pl_id?>&sort=ar" title="<?= PLEDIT_COLS_AR_HELP ?>"><?=$columns[3]?></A></B></td>
             <td class='header' width='28%' nowrap><B><A CLASS="header" HREF="<?=$PHP_SELF?>?do=<?=$do?>&pl_id=<?=$pl_id?>&sort=al" title="<?= PLEDIT_COLS_AL_HELP ?>"><?=$columns[4]?></A></B></td>
             <td class='header' width='2%' nowrap><B><A CLASS="header" HREF="<?=$PHP_SELF?>?do=<?=$do?>&pl_id=<?=$pl_id?>&sort=tn" title="<?= PLEDIT_COLS_TN_HELP ?>"><?=$columns[5]?></A></B></td>
             <td class='header' width='10%' nowrap><B><A CLASS="header" HREF="<?=$PHP_SELF?>?do=<?=$do?>&pl_id=<?=$pl_id?>&sort=ge" title="<?= PLEDIT_COLS_GE_HELP ?>"><?=$columns[6]?></A></B></td>
           </tr>

           <?= $html ?>

        </form> 
        </table>

        <BR>
   
<?

   # HTML footer
   include (INTERFACE_FOOTER);

   exit;

} else {

   header ("Location: index.php\n\n");

   exit;

}

?>
