<?

# Call common libraries
require_once('./lib/inc-common.php');
require_once(FS_PATH."/etc/locale/".LANG_PACK."/inc-pl-shrd-view.php");

# make sure the community feature is enabled
if (ENABLE_COMMUNITY != 't') header(WEB_PATH."/index.php");

if ($do == "save") {
########################################
# SAVE PLAYLIST
########################################
#  Usage:
#  - Save: pl-shrd-view.php?do=save&pl_id=1000&pl_title=value
########################################

   if ($NETJUKE_SESSION_VARS["user_email"] == '') {
     header('Location:'.WEB_PATH.'/login.php');
     exit;
   }
   
   if (strlen($pl_id) < 1) {
     print javascript("alert('".PLSHRD_SAVE_NOID."');self.history.go(-1);");
     exit;
   }
   
   $date_created = date("Y-m-d H:i:s");
   
   $dbconn->Execute(" INSERT INTO netjuke_plists_fav (us_email, pl_id,created) "
                   ." values ('".$NETJUKE_SESSION_VARS["user_email"]."', ".$pl_id.", '".$date_created."') ");

   header ("Location: ./pl-shrd-view.php?do=view&pl_id=".$pl_id."\n\n");
   exit;

} elseif ($do == "del_pl") {
########################################
# DELETE PLAYLIST
########################################
#  Usage:
#  - Delete: pl-shrd-view.php?do=del_pl&pl_id=1000
########################################

   if ($NETJUKE_SESSION_VARS["user_email"] == '') {
     header('Location:'.WEB_PATH.'/login.php');
     exit;
   }

   if (strlen($pl_fav_id) < 1) {
     print javascript("alert('".PLSHRD_DELPL_NOID."');self.history.go(-1);");
     exit;
   }

   $dbconn->Execute("DELETE FROM netjuke_plists_fav WHERE id = $pl_fav_id AND us_email = '".$NETJUKE_SESSION_VARS["user_email"]."'");

   header ("Location: pl-list.php?do=list\n\n");
   exit;

} elseif ($do == "view") {
########################################
# VIEW PLAYLIST
########################################
#  Usage:
#  - View: pl-shrd-view.php?do=view&pl_id=1000
########################################

   if (strlen($pl_id) < 1) {
     print javascript("alert('".PLSHRD_NOPLID."');self.history.go(-1);");
     exit;
   }
   
   $dbrs = $dbconn->Execute(" SELECT title, comment, shared_list, us_email from netjuke_plists "
         . " where id = $pl_id and shared_list = 't' ");
   
   if ($dbrs->RecordCount() == 1) {

     $pl_title = $dbrs->fields[0];
     $pl_comment = $dbrs->fields[1];
     $pl_us_email = str_replace("@","-at-",$dbrs->fields[3]);
     
   } else {
   
     header("Location: ./index.php");
     exit;
   
   }
   
   $dbrs->Close();
   
   $dbrs = $dbconn->Execute("SELECT id, created from netjuke_plists_fav where pl_id = $pl_id and us_email = '".$NETJUKE_SESSION_VARS["user_email"]."'");

   if ($dbrs->RecordCount() > 0) {
     $pl_fav_id = $dbrs->fields[0];
     $pl_fav_date = $dbrs->fields[1];
   }
   
   $dbrs->Close();

   $columns = array ( PLSHRD_COLS_SQ
                    , PLSHRD_COLS_TR
                    , PLSHRD_COLS_TI
                    , PLSHRD_COLS_AR
                    , PLSHRD_COLS_AL
                    , PLSHRD_COLS_TN
                    , PLSHRD_COLS_GE );

   if ( (!$sort) ||  ($sort == "sq")) {

     # SORT BY SEQUENCE #
     $sort = 'pt.sequence,tr.track_number,tr.location';
     $selected = 0;

   } elseif ($sort == "ar") {

     # SORT BY ARTIST NAME
     $sort = 'ar.name,al.name,tr.track_number,tr.location';
     $selected = 3;

   } elseif ($sort == "al") {

     # SORT BY ALBUM NAME
     $sort = 'al.name,tr.track_number,tr.location';
     $selected = 4;

   } elseif ($sort == "tr") {

     # SORT BY TRACK NAME
     $sort = 'tr.name,ar.name,al.name,tr.track_number,tr.location';
     $selected = 1;

   } elseif ($sort == "ge") {

     # SORT BY GENRE
     $sort = 'ge.name,al.name,tr.track_number,tr.location';
     $selected = 6;

   } elseif ($sort == "ti") {

     # SORT BY TIME
     $sort = 'tr.time';
     $selected = 2;

   } else {

     # SORT BY TRACK NUMBER
     $sort = 'tr.track_number,tr.location';
     $selected = 5;

   }

   $cnt = 0;
   
   while ($cnt < 7) {
     if ($cnt == $selected) $columns[$cnt] = strtoupper ($columns[$cnt]);
     $cnt++;
   }

   $sql = "
      SELECT tr.name, ar.name, al.name,ge.name, 
             tr.location, tr.id, ar.id, al.id,
             ge.id, tr.time, tr.track_number, pt.sequence, pt.id
      from netjuke_tracks tr, netjuke_artists ar, netjuke_albums al, 
           netjuke_genres ge, netjuke_plists pl, netjuke_plists_tracks pt
      where pt.pl_id = $pl_id
        and pl.shared_list = 't'
        and pt.pl_id = pl.id
        and pt.us_email = pl.us_email
        and tr.id = pt.tr_id
        and ar.id = tr.ar_id
        and al.id = tr.al_id
        and ge.id = tr.ge_id
      order by $sort asc
   ";
   
   $dbrs = $dbconn->Execute($sql);
   
   $rows = $dbrs->RecordCount();
   
   if ($rows == 0) header("Location: ./index.php");
   
   while (!$dbrs->EOF) {

      $fields = $dbrs->fields;

      $fields[0] = format_for_display($fields[0]);
      $fields[1] = format_for_display($fields[1]);
      $fields[2] = format_for_display($fields[2]);
      $fields[3] = format_for_display($fields[3]);
      
      $select = "<input type=checkbox name='val[]' value='".$fields[5]."' title='".PLSHRD_CHCK_HELP."'>";
      $play = "<a href='./play.php?do=play&val=".$fields[5]."' title='".PLSHRD_PLAY_HELP."'><img alt='".PLSHRD_PLAY_HELP."' src='".$ICONS['play']."' border=0 width=8 height=8 align=absmiddle hspace=0 vspace=0></a>";
      $get_info = "<a href=\"javascript:void(0);\" onClick=\"window.open('tr-info.php?id=".$fields[5]."','NetJukeGetInfo','width=450,height=480,top=25,left=25,menubar=no,scrollbars=yes,resizable=yes');\" title=\"".PLSHRD_INFO_HELP."\"><img alt=\"".PLSHRD_INFO_HELP."\" src='".$ICONS['info']."' border=0 width=8 height=8 align=absmiddle hspace=0 vspace=0></a>";

      if ($fields[9] >= 0) {
        $min = (int) ($fields[9] / 60);
        $sec = ( $fields[9] - ($min * 60) );
        if (strlen($sec) == 1) $sec = '0' . $sec;
        $time = $min . ':' . $sec; 
      }
      
      $html .= "
      <tr valign=top>
      <input type=hidden name='pt_id[]' value='$fields[12]'>
        <td class='content' nowrap>$select $play $get_info</td>
        <td class='content' align=right>$fields[11]&nbsp;</td>
        <td class='content'>$fields[0]&nbsp;</td>
        <td class='content' align=right>$time&nbsp;</td>
        <td class='content'><A HREF='search.php?do=list.tracks&col=ar.id&val=$fields[6]&sort=ar' title='".PLSHRD_AR_HELP."'>$fields[1]</A>&nbsp;</td>
        <td class='content'><A HREF='search.php?do=list.tracks&col=al.id&val=$fields[7]&sort=al' title='".PLSHRD_AL_HELP."'>$fields[2]</A>&nbsp;</td>
        <td class='content' align=center>$fields[10]</td>
        <td class='content'><A HREF='search.php?do=list.tracks&col=ge.id&val=$fields[8]&sort=ge' title='".PLSHRD_GE_HELP."'>$fields[3]</A>&nbsp;</td>
      </tr> 
      ";
      
      $dbrs->MoveNext();

   }

   $dbrs->Close();

   # HTML header
   if (!$section) $section = "playlists";
   include (INTERFACE_HEADER);

########################################

?>

        <script language="javascript">
        <!--
          function deletePlist() {
            if (confirm("<?= PLSHRD_DELPL_CONFIRM ?>\nTitle: <?=$pl_title?>")) {
              self.location.href = '<?=$PHP_SELF?>?do=del_pl&pl_fav_id=<?=abs($pl_fav_id)?>';
            }
          }
        -->
        </script>
        <table width='100%' border=0 cellspacing=1 cellpadding=3 class="border">
        <form>
         <tr>
           <td width="100%" class="header" nowrap colspan=6>
             <TABLE BORDER="0" WIDTH="100%" CELLSPACING="0" CELLPADDING="0">
               <TR>
                 <TD ALIGN=LEFT VALIGN=MIDDLE WIDTH="75%" nowrap class="header">
                   <b>
                     <? 
                       if ( abs($pl_fav_id) > 0 ) { 
                         echo PLSHRD_HEADER_FAV; 
                       } else {
                         echo PLSHRD_HEADER_PUB;
                       }
                       echo ": ".$pl_title." ".PLSHRD_HEADER_BY." ".$pl_us_email;
                     ?>
                   </b>
                 </TD>
                 <TD ALIGN=RIGHT VALIGN=MIDDLE WIDTH="25%" nowrap class="header">
                   <? if ( abs($pl_fav_id) > 0 ) { ?>
                     <INPUT TYPE='button' NAME='mode' VALUE='<?= PLSHRD_BTN_DELETE ?>' class='btn_header' onClick="deletePlist();">
                   <? } ?>
                   <INPUT TYPE='button' NAME='mode' VALUE='<?= PLSHRD_BTN_CANCEL ?>' class='btn_header' onClick="self.location.href='pl-list.php?do=list';">
                 </TD>
               </TR>
             </TABLE>
             </B>
           </td>
         </tr>
        </form>
         <tr>
           <td width="30%" class="content" align=center nowrap colspan=2>
             <B><?=$rows?></B> <?= PLSHRD_ROWCNT ?>
           </td>
        <form action='search.php' method=get name='searchForm'>
        <input type=hidden name='do' value='search'>
           <td width="35%" class="content" align=center nowrap colspan=2>
             <select name='col' class=input_content>
               <option value='ar.name' ><?= PLSHRD_QS_AR ?></option>
               <option value='tr.name' ><?= PLSHRD_QS_TR ?></option>
               <option value='al.name' ><?= PLSHRD_QS_AL ?></option>
               <option value='ge.name' ><?= PLSHRD_QS_GE ?></option>
               <option value='tr.time' ><?= PLSHRD_QS_TI ?></option>
             </select>
             <input type=text name='val' size='12' maxlength=50 value='' class=input_content>
             <input type=submit value='<?= PLSHRD_QS_BTN ?>' class='btn_content'> 
           </td>
        </form>
        <form action='pl-edit.php' method=get name='viewForm' onSubmit="return(Plist('view'));">
        <input type=hidden name='do' value='edit'>
            <td width="35%" class="content" align=center nowrap colspan=2>
            	<?= plistSelect($NETJUKE_SESSION_VARS["user_email"],$NETJUKE_SESSION_VARS["default_pl"]) ?>
            	<INPUT TYPE='submit' NAME='mode' VALUE='<?= PLSHRD_TB_PLIST_BTN ?>' class='btn_content'>
            </td>
        </form>
        </tr>
        <tr>
           <td class="content" align=center nowrap><B><A HREF="Javascript:self.location.href='play.php?do=plist&val=<?=$pl_id?>';" title='<?= PLSHRD_TB_PLAY_HELP ?>'><?= PLSHRD_TB_PLAY ?></A></B></td>
             <? if ($section != "playlists") { ?>
               <td class="content" align=center nowrap><B><A HREF="Javascript: self.location.href='<?=$PHP_SELF?>?do=save&pl_id=<?=$pl_id?>';" title='<?= PLSHRD_TB_SAVE_HELP ?>'><?= PLSHRD_TB_SAVE ?></A></B></td>
             <? } else  { ?>
               <td class="content" align=center nowrap><B><?= PLSHRD_TB_ADDED ?>:</B> <?= substr($pl_fav_date,0,10) ?></td>
             <? } ?>
           <td class="content" align=center nowrap><B><A HREF="Javascript:SelectAll();" title="<?= PLSHRD_TB_SELECT_HELP ?>"><?= PLSHRD_TB_SELECT ?></A></B></td>
           <td class="content" align=center nowrap><B><A HREF="Javascript:ResetAll();" title="<?= PLSHRD_TB_RESET_HELP ?>"><?= PLSHRD_TB_RESET ?></A></B></td>
           <td class="content" align=center nowrap><B><A HREF="Javascript:Plist('play');" title="<?= PLSHRD_TB_PLAYSEL_HELP ?>"><?= PLSHRD_TB_PLAYSEL ?></A></B></td>
           <td class="content" align=center nowrap><B><A HREF="Javascript:Plist('addto');" title="<?= PLSHRD_TB_ADDTO_HELP ?>"><?= PLSHRD_TB_ADDTO ?></A></B></td>
        </tr>
        </table>

        <BR>

        <table width='100%' border=0 cellspacing=1 cellpadding=3 class="border">   
        <form action='<?=$PHP_SELF?>' method=post name='playForm'> 
           <tr>
             <td class='header' width='4%' nowrap><B><?= PLSHRD_COLS_OP ?></B></td>
             <td class='header' width='4%' nowrap><B><A CLASS="header" HREF="<?=$PHP_SELF?>?do=<?=$do?>&pl_id=<?=$pl_id?>&sort=sq" title="<?= PLSHRD_COLS_SQ_HELP ?>"><?=$columns[0]?></A></B></td>
             <td class='header' width='27%' nowrap><B><A CLASS="header" HREF="<?=$PHP_SELF?>?do=<?=$do?>&pl_id=<?=$pl_id?>&sort=tr" title="<?= PLSHRD_COLS_TR_HELP ?>"><?=$columns[1]?></A></B></td>
             <td class='header' width='5%' nowrap><B><A CLASS="header" HREF="<?=$PHP_SELF?>?do=<?=$do?>&pl_id=<?=$pl_id?>&sort=ti" title="<?= PLSHRD_COLS_TI_HELP ?>"><?=$columns[2]?></A></B></td>
             <td class='header' width='20%' nowrap><B><A CLASS="header" HREF="<?=$PHP_SELF?>?do=<?=$do?>&pl_id=<?=$pl_id?>&sort=ar" title="<?= PLSHRD_COLS_AR_HELP ?>"><?=$columns[3]?></A></B></td>
             <td class='header' width='28%' nowrap><B><A CLASS="header" HREF="<?=$PHP_SELF?>?do=<?=$do?>&pl_id=<?=$pl_id?>&sort=al" title="<?= PLSHRD_COLS_AL_HELP ?>"><?=$columns[4]?></A></B></td>
             <td class='header' width='2%' nowrap><B><A CLASS="header" HREF="<?=$PHP_SELF?>?do=<?=$do?>&pl_id=<?=$pl_id?>&sort=tn" title="<?= PLSHRD_COLS_TN_HELP ?>"><?=$columns[5]?></A></B></td>
             <td class='header' width='10%' nowrap><B><A CLASS="header" HREF="<?=$PHP_SELF?>?do=<?=$do?>&pl_id=<?=$pl_id?>&sort=ge" title="<?= PLSHRD_COLS_GE_HELP ?>"><?=$columns[6]?></A></B></td>
           </tr>

           <?= $html ?>

        </form> 
        </table>

        <BR>
   
<?

   # HTML footer
   include (INTERFACE_FOOTER);

   exit;

} else {

   header ("Location: index.php\n\n");

   exit;

}

?>
